aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJory Pratt <anarchy@gentoo.org>2021-02-10 14:55:42 -0600
committerJory Pratt <anarchy@gentoo.org>2021-02-10 14:56:18 -0600
commita2c288cd94b76bb290e312234dd57bba5f5dcf00 (patch)
tree32c0b265c95710bc6a07388cff185114b4b765ce
parentsys-process/audit: fix PYTHON_COMPAT (diff)
downloadmusl-a2c288cd94b76bb290e312234dd57bba5f5dcf00.tar.gz
musl-a2c288cd94b76bb290e312234dd57bba5f5dcf00.tar.bz2
musl-a2c288cd94b76bb290e312234dd57bba5f5dcf00.zip
remove stale/obsolete builds
Signed-off-by: Jory Pratt <anarchy@gentoo.org>
-rw-r--r--dev-util/android-tools/Manifest12
-rw-r--r--dev-util/android-tools/android-tools-6.0.1_p79.ebuild94
-rw-r--r--dev-util/android-tools/android-tools-8.1.0_p1.ebuild128
-rw-r--r--dev-util/android-tools/files/android-tools-8.1.0_p1-build.patch30
-rw-r--r--dev-util/android-tools/files/android-tools-8.1.0_p1-musl.patch42
-rw-r--r--dev-util/android-tools/files/android-tools-deffilemode.patch14
-rw-r--r--dev-util/android-tools/metadata.xml15
-rw-r--r--dev-util/systemtap/Manifest1
-rw-r--r--dev-util/systemtap/files/systemtap-2.9-musl.patch182
-rw-r--r--dev-util/systemtap/metadata.xml7
-rw-r--r--dev-util/systemtap/systemtap-2.9.ebuild79
-rw-r--r--sys-devel/gdb/Manifest2
-rw-r--r--sys-devel/gdb/files/gdb-7.11-linux_nat.patch23
-rw-r--r--sys-devel/gdb/files/gdb-7.11-missing-stat_h.patch11
-rw-r--r--sys-devel/gdb/gdb-8.1-r1.ebuild263
-rw-r--r--sys-devel/gdb/gdb-8.1-r2.ebuild262
-rw-r--r--sys-devel/gdb/metadata.xml19
-rw-r--r--sys-libs/ldb/Manifest8
-rw-r--r--sys-libs/ldb/files/ldb-1.1.27-optional_packages.patch92
-rw-r--r--sys-libs/ldb/files/ldb-1.1.29-disable-python.patch48
-rw-r--r--sys-libs/ldb/files/ldb-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch17
-rw-r--r--sys-libs/ldb/files/ldb-1.1.31-optional_packages.patch57
-rw-r--r--sys-libs/ldb/files/ldb-1.1.31-talloc-disable-python.patch34
-rw-r--r--sys-libs/ldb/files/ldb-1.2.3-disable_python.patch64
-rw-r--r--sys-libs/ldb/files/ldb-1.4.0-optional_packages.patch45
-rw-r--r--sys-libs/ldb/files/ldb-1.5.2-optional_packages.patch40
-rw-r--r--sys-libs/ldb/files/ldb-2.0.8-include-fcntl.h-for-pid_t.patch10
-rw-r--r--sys-libs/ldb/ldb-1.1.29-r1.ebuild103
-rw-r--r--sys-libs/ldb/ldb-1.1.31.ebuild105
-rw-r--r--sys-libs/ldb/ldb-1.2.4.ebuild104
-rw-r--r--sys-libs/ldb/ldb-1.3.6.ebuild104
-rw-r--r--sys-libs/ldb/ldb-1.3.8.ebuild104
-rw-r--r--sys-libs/ldb/ldb-1.4.7.ebuild105
-rw-r--r--sys-libs/ldb/ldb-1.5.5.ebuild107
-rw-r--r--sys-libs/ldb/ldb-2.0.8.ebuild110
-rw-r--r--sys-libs/ldb/metadata.xml14
-rw-r--r--sys-libs/ntdb/Manifest1
-rw-r--r--sys-libs/ntdb/files/ntdb-1.0-drop-need-strtoq.patch21
-rw-r--r--sys-libs/ntdb/metadata.xml12
-rw-r--r--sys-libs/ntdb/ntdb-1.0-r1.ebuild53
40 files changed, 0 insertions, 2542 deletions
diff --git a/dev-util/android-tools/Manifest b/dev-util/android-tools/Manifest
deleted file mode 100644
index f7a9ade..0000000
--- a/dev-util/android-tools/Manifest
+++ /dev/null
@@ -1,12 +0,0 @@
-DIST android-tools-6.0.1_r79-arch.tar.gz 13466 BLAKE2B ddb064303659468b648a46ea24aae648968088de4aaea2b64e7b9d946d867daaf6ed1f4094cb7b29beb803387d2253580c85a46e9392bc1ccb2461186f2e52ef SHA512 90b8638d247897da33f6e861492c58df0e9877738650083c3307bd787d234d728e6c9097ac1401c254eb3daf4c6b18da4ee84dd16749acf6359fcb42781862fc
-DIST android-tools-6.0.1_r79-core.tar.gz 1186562 BLAKE2B 473454d340e65f98201508cb04293118d6e2ecc06e33d0d76ca81c536ea00a7818ebe4c4ccd30efef36aaaa1a9ec6ee3a57c00e2a82af28cbc49f4c973ab46be SHA512 a48f8c562305cbc951e008979920d9efe02e232c41997423457ff1e2f115e526b295c260a501d4050ce280ca7155793b95f7a60bad5cbc165ba80d6a225152f0
-DIST android-tools-6.0.1_r79-extras.tar.gz 648657 BLAKE2B 4582ddd57b729492e08987e17304c62778504ffc316ab26df8c83fff1aed33226106474131d5ad0e3e302b577c83a2b78d0be04fef9711e39861a223580ab1b9 SHA512 e10694737c518f591eff4e808bb826c83bf45dc44c5c1ee8a4082a6e0653350ffe2986e299348cb4a1219203192d01546a05e9354ce05e29897f856c147de8c3
-DIST android-tools-6.0.1_r79-f2fs-tools.tar.gz 70255 BLAKE2B ab9ce3efd33c28a1a0a9cb8a5415057498dd493e059183cc9d3fcc9de1b5ca4d7488c75695c94700fc6a4e5503beb8647576c7096fa50229f98485d2983ce152 SHA512 0871f99f78006028889b42668ec627b6515bb812ad3ec4a489f62187a79f64d2a74f66556698a5f05fc99932f75fefd8810dedceeab744b212beb764e97b82c8
-DIST android-tools-6.0.1_r79-libselinux.tar.gz 50814 BLAKE2B f09f26c801be83bc97f4b18606f513ce0fae791126a30c90067e3b2066c991fa1390ab2d0fac2475f755f3245179718204d5014f47ece46801dc0f80caf9758b SHA512 686557271271c4d59fb968c5aa76b433955009733f3151c4c86faa996ce846088d6632b0969b23699822b7a6f09eae60abedba6abb0edc9d444159bbdb5c6f91
-DIST android-tools-8.1.0_r1-arch.tar.gz 6250 BLAKE2B 65447517a33438c8531a9d707c6107703eaccb558e505e51a88ef51e70f83488620f76eb0240dc0899211cf120e9e1ffbea041086f1d8133f30b56358aba76d6 SHA512 5746e0b2f6aae37ebe60b7b1e939699a11de2f44286497f77d700c3896e02559d55002f036ecdc1c412844bfce4ab245b9086193dc982e6be74bcaea61010c5c
-DIST android-tools-8.1.0_r1-core.tar.gz 5227179 BLAKE2B afb280d67fe1b926e1f1ad68409584ad0209eb48921542e2bd490448c888cdf4bf6fb4c6f9552d580c7a396e79c2c85019e79a9a6c9881ea962c2f1064c33d82 SHA512 2c8e67232ca6348a4fd4b5d7077715491d2168c46fc8e336635a961bbbed156ef480718ee58393501196e9315c6c1bda807f8966944e3bc209dd5a0f7088642e
-DIST android-tools-8.1.0_r1-extras.tar.xz 275952 BLAKE2B 0fd3c536fee6ffbe2cdd4321604d32dc3a2b48a1b3edcb9121e83ceea760e491b47b301c3d8126565efd6b11adabd4f89c79bbe8731585660ce395af9e643fe7 SHA512 bfe3af89eadf38ce6805637e41f3fb15feb85455902f6a43e52a2f95dd1595cc896a9f46ccc82ab8db433f56a05f2f4c0ba85b77f40b03d5d69c8fec4082a2da
-DIST android-tools-8.1.0_r1-f2fs-tools.tar.xz 93924 BLAKE2B b8b6c7ba4c3f5309bfcfc91bd57d018d7af66f8dd25590207fd545f0dba02961826bf9963a56c7994feea5db8f9caedfe4fe62870420d9544283f87ec337cfb8 SHA512 de726be0691c58a5093098bd30cfc06c4312c44bec040cbecd594694cb7b38742dafd1f00b08c18f1b70abf56571738eb3e85e612f082e09e51a98980444e069
-DIST android-tools-8.1.0_r1-selinux.tar.xz 3188060 BLAKE2B 8c513d858e8dcaed705975ad61f362d7b1c2252685a63a1ad6035f36b0b402f1857ac5d2635d35ffa10f05b4a2605f30f27dcc5e9d91930eb0656f3ce2da036d SHA512 8799f10b4dba840ecea8f6abb8166c2e137eb3f0d9c5cfb132c661cf17800f2eeaafb1b4ec9e8974fc3324fae99e3654e52397c987faf1d48ab6148152d84f11
-DIST android-tools-8.1.0_r1.ninja.xz 2740 BLAKE2B 34473e33970cefdaf82bbe4524665fd50e6617cf867757ca07cdccc2e7356f43ef4bb455080ef4bac516ddba3c4e4120f0b27306e84725f8d5738a81800e3a53 SHA512 707e0e1c53832a42384e93d363f80007b76f18166b9f3f7d516431410b05319b1acc804daa1fddc218e11feb48de48683efb5203f4fa6d80646dcb1a2953139f
-DIST boringssl-14308731e5446a73ac2258688a9688b524483cb6.tar.gz 13030361 BLAKE2B 6982416b6e193e7faccd41fff3bd35f80b11d7495251d876e6b081bd94a887ec3c6bf5b7852d9595594fc2bdc57353f268272ef01fb79f7c93b52d46cbda69ac SHA512 171b524b0452a48853b2c8010ff5e14d5d720e69eeaf1d3b79f675838f3afa94aee9de2f47b37303feb2d92cbf77639efe585786625b7b37b8cc2ba727c37fdc
diff --git a/dev-util/android-tools/android-tools-6.0.1_p79.ebuild b/dev-util/android-tools/android-tools-6.0.1_p79.ebuild
deleted file mode 100644
index 41f425f..0000000
--- a/dev-util/android-tools/android-tools-6.0.1_p79.ebuild
+++ /dev/null
@@ -1,94 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit bash-completion-r1 eutils toolchain-funcs
-
-MY_PV="${PV/_p/_r}"
-MY_P=${PN}-${MY_PV}
-
-DESCRIPTION="Android platform tools (adb, fastboot, and mkbootimg)"
-HOMEPAGE="https://android.googlesource.com/platform/system/core.git/"
-# Downloading git tarballs generated by android.googlesource.com
-# Archlinux package contains patches and build script generation mechanism.
-SRC_URI="https://git.archlinux.org/svntogit/community.git/snapshot/community-6a03c4736c9734f5ac3d6b5b912605690a6eaa5f.tar.gz -> ${MY_P}-arch.tar.gz
-https://github.com/android/platform_system_core/archive/android-${MY_PV}.tar.gz -> ${MY_P}-core.tar.gz
-mirror://gentoo/${MY_P}-extras.tar.gz
-mirror://gentoo/${MY_P}-libselinux.tar.gz
-mirror://gentoo/${MY_P}-f2fs-tools.tar.gz"
-
-# The entire source code is Apache-2.0, except for fastboot which is BSD-2.
-LICENSE="Apache-2.0 BSD-2"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="libressl"
-
-RDEPEND="sys-libs/zlib:=
- !libressl? ( dev-libs/openssl:0= )
- libressl? ( dev-libs/libressl:0= )
- dev-libs/libpcre"
-# dev-lang/ruby is necessary for build script generation.
-DEPEND="${RDEPEND}
- virtual/rubygems"
-
-PATCHES=( "${FILESDIR}/${PN}-deffilemode.patch" )
-
-S=${WORKDIR}
-
-src_unpack() {
- local dir filename
- for filename in ${A}; do
- if [[ ${filename} =~ ^${MY_P}-(.*)\.tar\.gz$ ]]; then
- dir=${BASH_REMATCH[1]}
- mkdir -p "${dir}" || die
- pushd "${dir}" >/dev/null
- unpack "${filename}"
- popd > /dev/null
- else
- die "unrecognized file in \${A}: ${filename}"
- fi
- done
-}
-
-src_prepare() {
- mv core/*/* core/ || die
- epatch arch/*/trunk/fix_build.patch
- cp arch/*/trunk/generate_build.rb ./ || die
- sed -i '1i#include <sys/sysmacros.h>' core/adb/usb_linux.cpp || die #616508
- default
-
- #580686
- find "${S}" -name '*.h' -exec \
- sed -e 's|^#include <sys/cdefs.h>$|/* \0 */|' \
- -e 's|^__BEGIN_DECLS$|#ifdef __cplusplus\nextern "C" {\n#endif|' \
- -e 's|^__END_DECLS$|#ifdef __cplusplus\n}\n#endif|' \
- -i {} \; || die
- sed -e 's|^#include <sys/cdefs.h>$|/* \0 */|' \
- -i extras/ext4_utils/sha1.c || die
-}
-
-src_compile() {
- # Dynamically detect rubygems interpreter (bug 631398).
- local ruby_bin=$(type -P ruby) ruby_error_log=${T}/generate_build.rb.log success=
- for ruby_bin in "${ruby_bin}" "${ruby_bin}"[[:digit:]][[:digit:]]; do
- "${ruby_bin}" ./generate_build.rb 1> build.sh 2> "${ruby_error_log}" && \
- { success=1; break; }
- done
- if [[ -z ${success} ]]; then
- cat "${ruby_error_log}" >&2
- die "${ruby_bin} ./generate_build.rb failed"
- fi
- sed -e 's:^gcc:${CC}:' -e 's:^g++:${CXX}:' -i build.sh || die
- chmod +x build.sh || die
- tc-export CC CXX
- bash -e ./build.sh || die
-}
-
-src_install() {
- dobin adb
- dobin fastboot
- dobin mkbootimg
- # Omitting, app-shells/bash-completion contains completion for adb
- #newbashcomp arch/*/trunk/bash_completion.adb adb
- newbashcomp arch/*/trunk/bash_completion.fastboot fastboot
-}
diff --git a/dev-util/android-tools/android-tools-8.1.0_p1.ebuild b/dev-util/android-tools/android-tools-8.1.0_p1.ebuild
deleted file mode 100644
index cfd407c..0000000
--- a/dev-util/android-tools/android-tools-8.1.0_p1.ebuild
+++ /dev/null
@@ -1,128 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="6"
-
-PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
-CMAKE_MAKEFILE_GENERATOR="ninja"
-
-inherit flag-o-matic bash-completion-r1 ninja-utils toolchain-funcs cmake-utils python-r1 python-utils-r1
-
-MY_PV="${PV/_p/_r}"
-MY_P=${PN}-${MY_PV}
-
-DESCRIPTION="Android platform tools (adb, fastboot, and mkbootimg)"
-HOMEPAGE="https://android.googlesource.com/platform/system/core.git/"
-# See helper scripts in files/ for creating these tarballs and getting this hash.
-BORINGSSL_SHA1="14308731e5446a73ac2258688a9688b524483cb6"
-# The ninja file was created by running the ruby script from archlinux by hand and fixing the build vars.
-# No point in depending on something large/uncommon like ruby just to generate a ninja file.
-SRC_URI="https://git.archlinux.org/svntogit/community.git/snapshot/community-2b7f9774cc468205fec145e64e9103aee8e5c6f9.tar.gz -> ${MY_P}-arch.tar.gz
- https://github.com/android/platform_system_core/archive/android-${MY_PV}.tar.gz -> ${MY_P}-core.tar.gz
- https://github.com/google/boringssl/archive/${BORINGSSL_SHA1}.tar.gz -> boringssl-${BORINGSSL_SHA1}.tar.gz
- mirror://gentoo/${MY_P}-extras.tar.xz https://dev.gentoo.org/~vapier/dist/${MY_P}-extras.tar.xz
- mirror://gentoo/${MY_P}-selinux.tar.xz https://dev.gentoo.org/~vapier/dist/${MY_P}-selinux.tar.xz
- mirror://gentoo/${MY_P}-f2fs-tools.tar.xz https://dev.gentoo.org/~vapier/dist/${MY_P}-f2fs-tools.tar.xz
- mirror://gentoo/${MY_P}.ninja.xz https://dev.gentoo.org/~vapier/dist/${MY_P}.ninja.xz"
-
-# The entire source code is Apache-2.0, except for fastboot which is BSD-2.
-LICENSE="Apache-2.0 BSD-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
-IUSE="python"
-
-DEPEND="sys-libs/zlib:=
- dev-libs/libpcre2:=
- virtual/libusb:1="
-RDEPEND="${DEPEND}
- python? ( ${PYTHON_DEPS} )"
-DEPEND+="
- dev-lang/go"
-
-S=${WORKDIR}
-CMAKE_USE_DIR="${S}/boringssl"
-
-unpack_into() {
- local archive="$1"
- local dir="$2"
-
- mkdir -p "${dir}"
- pushd "${dir}" >/dev/null || die
- unpack "${archive}"
- if [[ ${dir} != ./* ]] ; then
- mv */* ./ || die
- fi
- popd >/dev/null
-}
-
-src_unpack() {
- unpack_into "${MY_P}-arch.tar.gz" arch
- unpack_into "${MY_P}-core.tar.gz" core
- unpack_into "${MY_P}-extras.tar.xz" extras
- unpack_into "${MY_P}-f2fs-tools.tar.xz" ./f2fs-tools
- unpack_into "${MY_P}-selinux.tar.xz" ./selinux
- unpack_into boringssl-${BORINGSSL_SHA1}.tar.gz boringssl
-
- unpack "${MY_P}.ninja.xz"
- mv "${MY_P}.ninja" "build.ninja" || die
-
- # Avoid depending on gtest just for its prod headers when boringssl bundles it.
- ln -s ../../boringssl/third_party/googletest/include/gtest core/include/ || die
-}
-
-src_prepare() {
- cd "${S}"/core
- eapply "${WORKDIR}"/arch/trunk/fix_build_core.patch
- eapply "${FILESDIR}"/${P}-build.patch
- eapply "${FILESDIR}"/${P}-musl.patch
- sed -i '1i#include <sys/sysmacros.h>' adb/client/usb_linux.cpp || die #616508
-
- cd "${S}"/selinux
- eapply "${WORKDIR}"/arch/trunk/fix_build_selinux.patch
-
- cd "${S}"
- #580686
- find "${S}" -name '*.h' -exec \
- sed -e 's|^#include <sys/cdefs.h>$|/* \0 */|' \
- -e 's|^__BEGIN_DECLS$|#ifdef __cplusplus\nextern "C" {\n#endif|' \
- -e 's|^__END_DECLS$|#ifdef __cplusplus\n}\n#endif|' \
- -i {} \; || die
- sed -e 's|^#include <sys/cdefs.h>$|/* \0 */|' \
- -i extras/ext4_utils/sha1.c || die
-
- default
-
- # The pregenerated ninja file expects the build/ dir.
- BUILD_DIR="${CMAKE_USE_DIR}/build"
- cmake-utils_src_prepare
-}
-
-src_configure() {
- append-lfs-flags
-
- cmake-utils_src_configure
-
- sed -i \
- -e "s:@CC@:$(tc-getCC):g" \
- -e "s:@CXX@:$(tc-getCXX):g" \
- -e "s:@CFLAGS@:${CFLAGS}:g" \
- -e "s:@CPPFLAGS@:${CPPFLAGS}:g" \
- -e "s:@CXXFLAGS@:${CXXFLAGS}:g" \
- -e "s:@LDFLAGS@:${LDFLAGS}:g" \
- -e "s:@PV@:${PV}:g" \
- build.ninja || die
-}
-
-src_compile() {
- # We only need a few libs from boringssl.
- cmake-utils_src_compile libcrypto.a libssl.a
-
- eninja
-}
-
-src_install() {
- dobin adb fastboot
- dodoc core/adb/*.{txt,TXT} core/fastboot/README.md
- use python && python_foreach_impl python_doexe core/mkbootimg/mkbootimg
- newbashcomp arch/trunk/bash_completion.fastboot fastboot
-}
diff --git a/dev-util/android-tools/files/android-tools-8.1.0_p1-build.patch b/dev-util/android-tools/files/android-tools-8.1.0_p1-build.patch
deleted file mode 100644
index f3d664e..0000000
--- a/dev-util/android-tools/files/android-tools-8.1.0_p1-build.patch
+++ /dev/null
@@ -1,30 +0,0 @@
---- a/adb/sysdeps.h
-+++ b/adb/sysdeps.h
-@@ -66,6 +66,11 @@
- #endif
- #endif
-
-+#ifndef __clang__
-+#define _Nonnull
-+#define _Nullable
-+#endif
-+
- #ifdef _WIN32
-
- // Clang-only nullability specifiers
---- a/libcutils/include/cutils/trace.h
-+++ b/libcutils/include/cutils/trace.h
-@@ -18,7 +18,13 @@
- #define _LIBS_CUTILS_TRACE_H
-
- #include <inttypes.h>
-+// https://gcc.gnu.org/PR60932
-+#ifdef __cplusplus
-+#include <atomic>
-+using namespace std;
-+#else
- #include <stdatomic.h>
-+#endif
- #include <stdbool.h>
- #include <stdint.h>
- #include <stdio.h>
diff --git a/dev-util/android-tools/files/android-tools-8.1.0_p1-musl.patch b/dev-util/android-tools/files/android-tools-8.1.0_p1-musl.patch
deleted file mode 100644
index 4b25964..0000000
--- a/dev-util/android-tools/files/android-tools-8.1.0_p1-musl.patch
+++ /dev/null
@@ -1,42 +0,0 @@
---- a/base/logging.cpp
-+++ b/base/logging.cpp
-@@ -28,7 +28,7 @@
- // For getprogname(3) or program_invocation_short_name.
- #if defined(__ANDROID__) || defined(__APPLE__)
- #include <stdlib.h>
--#elif defined(__GLIBC__)
-+#elif defined(__linux__)
- #include <errno.h>
- #endif
-
-@@ -90,7 +90,7 @@
- }
-
- namespace {
--#if defined(__GLIBC__)
-+#if defined(__linux__)
- const char* getprogname() {
- return program_invocation_short_name;
- }
---- a/adb/diagnose_usb.cpp 2018-01-29 12:05:10.466834056 -0800
-+++ b/adb/diagnose_usb.cpp 2018-01-29 12:13:20.980825271 -0800
-@@ -33,7 +33,7 @@
- // Returns a message describing any potential problems we find with udev, or an empty string if we
- // can't find plugdev information (i.e. udev is not installed).
- static std::string GetUdevProblem() {
--#if defined(__linux__)
-+#if defined(__GLIBC__)
- errno = 0;
- group* plugdev_group = getgrnam("plugdev");
-
---- a/fastboot/socket.cpp 2018-01-29 12:05:10.493834055 -0800
-+++ b/fastboot/socket.cpp 2018-01-29 12:17:23.666820925 -0800
-@@ -28,6 +28,8 @@
-
- #include "socket.h"
-
-+#include <sys/select.h>
-+
- #include <android-base/errors.h>
- #include <android-base/stringprintf.h>
-
diff --git a/dev-util/android-tools/files/android-tools-deffilemode.patch b/dev-util/android-tools/files/android-tools-deffilemode.patch
deleted file mode 100644
index 12aa988..0000000
--- a/dev-util/android-tools/files/android-tools-deffilemode.patch
+++ /dev/null
@@ -1,14 +0,0 @@
-diff -Naur android-tools.orig/core/include/utils/Compat.h android-tools/core/include/utils/Compat.h
---- android-tools.orig/core/include/utils/Compat.h 2017-04-24 11:27:39.697736014 -0700
-+++ android-tools/core/include/utils/Compat.h 2017-04-24 11:45:24.930908371 -0700
-@@ -41,6 +41,10 @@
- #define DEFFILEMODE 0666
- #endif /* _WIN32 */
-
-+#if defined(__linux__) && !defined(__GLIBC__)
-+#define DEFFILEMODE 0666
-+#endif
-+
- #if defined(_WIN32)
- #define ZD "%ld"
- #define ZD_TYPE long
diff --git a/dev-util/android-tools/metadata.xml b/dev-util/android-tools/metadata.xml
deleted file mode 100644
index 27a6743..0000000
--- a/dev-util/android-tools/metadata.xml
+++ /dev/null
@@ -1,15 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <upstream>
- <bugs-to>https://code.google.com/p/android/issues/list</bugs-to>
- <changelog>https://android.googlesource.com/platform/system/core.git/+log/HEAD</changelog>
- <doc>https://android.googlesource.com/platform/system/core.git/+/master/adb/OVERVIEW.TXT</doc>
- <remote-id type="github">android/platform_system_core</remote-id>
- <remote-id type="launchpad">ubuntu</remote-id>
- </upstream>
- <maintainer type="person">
- <email>zmedico@gentoo.org</email>
- <name>Zac Medico</name>
- </maintainer>
-</pkgmetadata>
diff --git a/dev-util/systemtap/Manifest b/dev-util/systemtap/Manifest
deleted file mode 100644
index d3d3aef..0000000
--- a/dev-util/systemtap/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST systemtap-2.9.tar.gz 3258026 SHA256 04f2c607512f4867f345a3d173940e1023441c5d3560f2e580b4a82dfe4d6353 SHA512 00d24ad52d5634b540241a9fc64efbab7fa1d34d31a0254b43474101d3024f050ab7ec284aba0c082889066e1b4cf4c38799801910bff7516ca2e380684089dc WHIRLPOOL fa8d3978f0768091c5cc3bd1cd4b13b6ff9643e2e37ee8e8b59c1801fd7ddcad7029d06e4a1207dc5add5faf423de9ccdb9df677b7db88a5199b1fde731fcb3a
diff --git a/dev-util/systemtap/files/systemtap-2.9-musl.patch b/dev-util/systemtap/files/systemtap-2.9-musl.patch
deleted file mode 100644
index c90804f..0000000
--- a/dev-util/systemtap/files/systemtap-2.9-musl.patch
+++ /dev/null
@@ -1,182 +0,0 @@
-diff -Naur systemtap-2.9.orig/buildrun.cxx systemtap-2.9/buildrun.cxx
---- systemtap-2.9.orig/buildrun.cxx 2017-02-24 10:47:12.478787249 -0800
-+++ systemtap-2.9/buildrun.cxx 2017-02-24 10:47:56.414162998 -0800
-@@ -788,13 +788,14 @@
- if (s.need_uprobes && !kernel_built_uprobes(s))
- {
- string opt_u = "-u";
-+ char *p = strchr(s.uprobes_path.c_str(), '/');
- if (!s.uprobes_path.empty() &&
- strverscmp("1.4", version.c_str()) <= 0)
- {
- if (remotedir.empty())
- opt_u.append(s.uprobes_path);
- else
-- opt_u.append(remotedir + "/" + basename(s.uprobes_path.c_str()));
-+ opt_u.append(remotedir + "/" + (p ? p + 1 : s.uprobes_path.c_str()));
- }
- staprun_cmd.push_back(opt_u);
- }
-diff -Naur systemtap-2.9.orig/configure.ac systemtap-2.9/configure.ac
---- systemtap-2.9.orig/configure.ac 2017-02-24 10:47:12.480787266 -0800
-+++ systemtap-2.9/configure.ac 2017-02-24 10:48:24.679405813 -0800
-@@ -443,6 +443,50 @@
- fi
- fi
-
-+dnl Check if we have argp available from our libc
-+AC_LINK_IFELSE(
-+ [AC_LANG_PROGRAM(
-+ [#include <argp.h>],
-+ [int argc=1; char *argv[]={"test"}, argp_parse(0,argc,argv,0,0,0); return 0;]
-+ )],
-+ [libc_has_argp="true"],
-+ [libc_has_argp="false"]
-+)
-+
-+dnl If our libc doesn't provide argp, then test for libargp
-+if test "$libc_has_argp" = "false" ; then
-+ AC_MSG_WARN("libc does not have argp")
-+ AC_CHECK_LIB([argp], [argp_parse], [have_obstack="true"], [have_obstack="false"])
-+
-+ if test "$have_argp" = "false"; then
-+ AC_MSG_ERROR("no libargp found")
-+ else
-+ stap_LIBS="$stap_LIBS -largp"
-+ fi
-+fi
-+
-+dnl Check if we have obstack available from our libc
-+AC_LINK_IFELSE(
-+ [AC_LANG_PROGRAM(
-+ [#include <obstack.h>],
-+ [_obstack_begin(0, 0, 0, 0, 0); return 0;]
-+ )],
-+ [libc_has_obstack="true", AC_DEFINE(HAVE_OBSTACK, 1)],
-+ [libc_has_obstack="false"]
-+)
-+
-+dnl If our libc doesn't provide obstack, then test for libobstack
-+if test "$libc_has_obstack" = "false" ; then
-+ AC_MSG_WARN("libc does not have obstack")
-+ AC_CHECK_LIB([obstack], [_obstack_begin], [have_obstack="true"], [have_obstack="false"])
-+
-+ if test "$have_obstack" = "false"; then
-+ AC_MSG_ERROR("no libobstack found")
-+ else
-+ stap_LIBS="$stap_LIBS -lobstack"
-+ fi
-+fi
-+
- AC_SUBST(stap_LIBS)
- AC_MSG_NOTICE([stap will link $stap_LIBS])
-
-diff -Naur systemtap-2.9.orig/csclient.cxx systemtap-2.9/csclient.cxx
---- systemtap-2.9.orig/csclient.cxx 2017-02-24 10:47:12.481787274 -0800
-+++ systemtap-2.9/csclient.cxx 2017-02-24 10:48:59.261702894 -0800
-@@ -75,6 +75,10 @@
-
- #define MOK_PUBLIC_CERT_NAME "signing_key.x509"
-
-+#ifndef NI_IDN
-+#define NI_IDN 32
-+#endif
-+
- static PRIPv6Addr &copyAddress (PRIPv6Addr &PRin6, const in6_addr &in6);
- static PRNetAddr &copyNetAddr (PRNetAddr &x, const PRNetAddr &y);
- bool operator!= (const PRNetAddr &x, const PRNetAddr &y);
-@@ -1038,7 +1042,7 @@
-
- // Canonicalize the given path and remove the leading /.
- string rpath;
-- char *cpath = canonicalize_file_name (path.c_str ());
-+ char *cpath = realpath (path.c_str (), NULL);
- if (! cpath)
- {
- // It can not be canonicalized. Use the name relative to
-diff -Naur systemtap-2.9.orig/error.h systemtap-2.9/error.h
---- systemtap-2.9.orig/error.h 1969-12-31 16:00:00.000000000 -0800
-+++ systemtap-2.9/error.h 2017-02-24 10:49:03.823742085 -0800
-@@ -0,0 +1,27 @@
-+#ifndef _ERROR_H_
-+#define _ERROR_H_
-+
-+#include <stdarg.h>
-+#include <stdio.h>
-+#include <stdlib.h>
-+#include <string.h>
-+#include <errno.h>
-+
-+static unsigned int error_message_count = 0;
-+
-+static inline void error(int status, int errnum, const char* format, ...)
-+{
-+ va_list ap;
-+ fprintf(stderr, "%s: ", program_invocation_name);
-+ va_start(ap, format);
-+ vfprintf(stderr, format, ap);
-+ va_end(ap);
-+ if (errnum)
-+ fprintf(stderr, ": %s", strerror(errnum));
-+ fprintf(stderr, "\n");
-+ error_message_count++;
-+ if (status)
-+ exit(status);
-+}
-+
-+#endif /* _ERROR_H_ */
-diff -Naur systemtap-2.9.orig/remote.cxx systemtap-2.9/remote.cxx
---- systemtap-2.9.orig/remote.cxx 2017-02-24 10:47:12.532787709 -0800
-+++ systemtap-2.9/remote.cxx 2017-02-24 10:49:25.245926113 -0800
-@@ -459,7 +459,8 @@
-
- if (!s->uprobes_path.empty())
- {
-- string remoteuprobes = basename(s->uprobes_path.c_str());
-+ char *p = strchr(s->uprobes_path.c_str(), '/');
-+ string remoteuprobes = p ? p + 1 : s->uprobes_path.c_str();
- if ((rc = send_file(s->uprobes_path, remoteuprobes)))
- return rc;
-
-diff -Naur systemtap-2.9.orig/sdt_types.h systemtap-2.9/sdt_types.h
---- systemtap-2.9.orig/sdt_types.h 2017-02-24 10:47:12.572788050 -0800
-+++ systemtap-2.9/sdt_types.h 2017-02-24 10:49:42.865077472 -0800
-@@ -10,6 +10,13 @@
- #define UPROBE2_TYPE 0x32425055 /* "UPB2" */
- #define UPROBE3_TYPE 0x33425055 /* "UPB3" */
-
-+#ifndef __uint32_t
-+#define __uint32_t uint32_t
-+#endif
-+#ifndef __uint64_t
-+#define __uint64_t uint64_t
-+#endif
-+
- typedef enum
- {
- uprobe1_type = UPROBE1_TYPE,
-diff -Naur systemtap-2.9.orig/session.cxx systemtap-2.9/session.cxx
---- systemtap-2.9.orig/session.cxx 2017-02-24 10:47:12.572788050 -0800
-+++ systemtap-2.9/session.cxx 2017-02-24 10:49:56.716196203 -0800
-@@ -1329,7 +1329,7 @@
- cerr << "ERROR: multiple --sysroot options not supported" << endl;
- return 1;
- } else {
-- char *spath = canonicalize_file_name (optarg);
-+ char *spath = realpath (optarg, NULL);
- if (spath == NULL) {
- cerr << _F("ERROR: %s is an invalid directory for --sysroot", optarg) << endl;
- return 1;
-diff -Naur systemtap-2.9.orig/staprun/staprun.h systemtap-2.9/staprun/staprun.h
---- systemtap-2.9.orig/staprun/staprun.h 2017-02-24 10:47:12.581788127 -0800
-+++ systemtap-2.9/staprun/staprun.h 2017-02-24 10:50:18.951386526 -0800
-@@ -47,6 +47,9 @@
- #include <locale.h>
- #endif
-
-+#ifndef __off_t
-+#define __off_t off_t
-+#endif
-
- /* define gettext options if NLS is set */
- #if ENABLE_NLS
diff --git a/dev-util/systemtap/metadata.xml b/dev-util/systemtap/metadata.xml
deleted file mode 100644
index 208c069..0000000
--- a/dev-util/systemtap/metadata.xml
+++ /dev/null
@@ -1,7 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<maintainer type="person">
- <email>swegener@gentoo.org</email>
-</maintainer>
-</pkgmetadata>
diff --git a/dev-util/systemtap/systemtap-2.9.ebuild b/dev-util/systemtap/systemtap-2.9.ebuild
deleted file mode 100644
index 4f60328..0000000
--- a/dev-util/systemtap/systemtap-2.9.ebuild
+++ /dev/null
@@ -1,79 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-PYTHON_COMPAT=( python2_7 )
-
-inherit linux-info autotools eutils python-single-r1
-
-DESCRIPTION="A linux trace/probe tool"
-HOMEPAGE="https://www.sourceware.org/systemtap/"
-SRC_URI="https://www.sourceware.org/${PN}/ftp/releases/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~x86"
-IUSE="sqlite"
-
-RDEPEND=">=dev-libs/elfutils-0.142
- elibc_musl? (
- sys-libs/argp-standalone
- sys-libs/obstack-standalone
- )
- sys-libs/libcap
- ${PYTHON_DEPS}
- sqlite? ( dev-db/sqlite:3 )"
-DEPEND="${RDEPEND}
- >=sys-devel/gettext-0.18.2"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-CONFIG_CHECK="~KPROBES ~RELAY ~DEBUG_FS"
-ERROR_KPROBES="${PN} requires support for KProbes Instrumentation (KPROBES) - this can be enabled in 'Instrumentation Support -> Kprobes'."
-ERROR_RELAY="${PN} works with support for user space relay support (RELAY) - this can be enabled in 'General setup -> Kernel->user space relay support (formerly relayfs)'."
-ERROR_DEBUG_FS="${PN} works best with support for Debug Filesystem (DEBUG_FS) - this can be enabled in 'Kernel hacking -> Debug Filesystem'."
-
-DOCS="AUTHORS HACKING NEWS README"
-
-pkg_setup() {
- linux-info_pkg_setup
- python-single-r1_pkg_setup
-}
-
-src_prepare() {
- python_fix_shebang .
-
- sed -i \
- -e 's:-Werror::g' \
- configure.ac \
- Makefile.am \
- staprun/Makefile.am \
- stapdyn/Makefile.am \
- buildrun.cxx \
- testsuite/systemtap.unprivileged/unprivileged_probes.exp \
- testsuite/systemtap.unprivileged/unprivileged_myproc.exp \
- testsuite/systemtap.base/stmt_rel_user.exp \
- testsuite/systemtap.base/sdt_va_args.exp \
- testsuite/systemtap.base/sdt_misc.exp \
- testsuite/systemtap.base/sdt.exp \
- scripts/kprobes_test/gen_code.py \
- || die "Failed to clean up sources"
-
- epatch "${FILESDIR}"/${P}-musl.patch
-
- epatch_user
-
- eautoreconf
-}
-
-src_configure() {
- econf \
- --docdir="${EPREFIX}/usr/share/doc/${PF}" \
- --without-rpm \
- --disable-server \
- --disable-docs \
- --disable-refdocs \
- --disable-grapher \
- $(use_enable sqlite)
-}
diff --git a/sys-devel/gdb/Manifest b/sys-devel/gdb/Manifest
deleted file mode 100644
index a06dce4..0000000
--- a/sys-devel/gdb/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST gdb-8.1-patches-1.tar.xz 8768 BLAKE2B 792ceddcb8eafd028db23d69ad5d9eb00223722520c6ff0a23a24fee1a33dceb02f05e61a1d6c3700835c480b38d66f43f71ef3c4af406d4ae1147eaaf8f311e SHA512 87a5c9d9207817245e1ffd07fdad2cb566de4fc11725aa0e49e58268c3ab1ae3b4b9f4b9faa55acc8cb4c3c7cb5a3875ea7da02abeb8f775953a8aed2e2c6403
-DIST gdb-8.1.tar.xz 20095080 BLAKE2B 9332058b8b723261ba215124f42a2d6ba916219efdfb3c23ae1f48fecf131c801bbd31b345f2c8339b23d74da690be0260ac31f8f2e79549b62f0880199bfdec SHA512 ffd82f415d7652d62dad1716c307836f594217a363429609beb7d70239e8bf06b73b393345b0e000796228e56681ed7656ac3c8be05e91d6d652ab0d5b1dc357
diff --git a/sys-devel/gdb/files/gdb-7.11-linux_nat.patch b/sys-devel/gdb/files/gdb-7.11-linux_nat.patch
deleted file mode 100644
index b10b7f2..0000000
--- a/sys-devel/gdb/files/gdb-7.11-linux_nat.patch
+++ /dev/null
@@ -1,23 +0,0 @@
-diff -Naurw gdb-7.11.orig/gdb/linux-nat.c gdb-7.11/gdb/linux-nat.c
---- gdb-7.11.orig/gdb/linux-nat.c 2016-02-09 19:19:39.000000000 -0800
-+++ gdb-7.11/gdb/linux-nat.c 2016-02-24 15:34:29.115801748 -0800
-@@ -186,6 +186,10 @@
- #define O_LARGEFILE 0
- #endif
-
-+#ifndef W_STOPCODE
-+#define W_STOPCODE(sig) ((sig) << 8 | 0x7f)
-+#endif
-+
- /* Does the current host support PTRACE_GETREGSET? */
- enum tribool have_ptrace_getregset = TRIBOOL_UNKNOWN;
-
-@@ -4850,6 +4854,6 @@
- /* NPTL reserves the first two RT signals, but does not provide any
- way for the debugger to query the signal numbers - fortunately
- they don't change. */
-- sigaddset (set, __SIGRTMIN);
-- sigaddset (set, __SIGRTMIN + 1);
-+ sigaddset (set, SIGRTMIN);
-+ sigaddset (set, SIGRTMIN + 1);
- }
diff --git a/sys-devel/gdb/files/gdb-7.11-missing-stat_h.patch b/sys-devel/gdb/files/gdb-7.11-missing-stat_h.patch
deleted file mode 100644
index a2598da..0000000
--- a/sys-devel/gdb/files/gdb-7.11-missing-stat_h.patch
+++ /dev/null
@@ -1,11 +0,0 @@
-diff -Naur gdb-7.11.orig/gdb/gdbserver/target.h gdb-7.11/gdb/gdbserver/target.h
---- gdb-7.11.orig/gdb/gdbserver/target.h 2016-02-09 19:19:39.000000000 -0800
-+++ gdb-7.11/gdb/gdbserver/target.h 2016-02-24 15:40:02.961881411 -0800
-@@ -21,6 +21,7 @@
- #ifndef TARGET_H
- #define TARGET_H
-
-+#include <sys/stat.h>
- #include <sys/types.h> /* for mode_t */
- #include "target/target.h"
- #include "target/resume.h"
diff --git a/sys-devel/gdb/gdb-8.1-r1.ebuild b/sys-devel/gdb/gdb-8.1-r1.ebuild
deleted file mode 100644
index 955f0d1..0000000
--- a/sys-devel/gdb/gdb-8.1-r1.ebuild
+++ /dev/null
@@ -1,263 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
-
-inherit eutils flag-o-matic python-single-r1
-
-export CTARGET=${CTARGET:-${CHOST}}
-if [[ ${CTARGET} == ${CHOST} ]] ; then
- if [[ ${CATEGORY} == cross-* ]] ; then
- export CTARGET=${CATEGORY#cross-}
- fi
-fi
-is_cross() { [[ ${CHOST} != ${CTARGET} ]] ; }
-
-RPM=
-MY_PV=${PV}
-case ${PV} in
-9999*)
- # live git tree
- EGIT_REPO_URI="git://sourceware.org/git/binutils-gdb.git"
- inherit git-r3
- SRC_URI=""
- ;;
-*.*.50.2???????)
- # weekly snapshots
- SRC_URI="ftp://sourceware.org/pub/gdb/snapshots/current/gdb-weekly-${PV}.tar.xz"
- ;;
-*.*.*.*.*.*)
- # fedora versions; note we swap the rpm & fedora core versions.
- # gdb-6.8.50.20090302-8.fc11.src.rpm -> gdb-6.8.50.20090302.11.8.ebuild
- # gdb-7.9-11.fc23.src.rpm -> gdb-7.9.23.11.ebuild
- inherit versionator rpm
- gvcr() { get_version_component_range "$@"; }
- parse_fedora_ver() {
- set -- $(get_version_components)
- MY_PV=$(gvcr 1-$(( $# - 2 )))
- RPM="${PN}-${MY_PV}-$(gvcr $#).fc$(gvcr $(( $# - 1 ))).src.rpm"
- }
- parse_fedora_ver
- SRC_URI="mirror://fedora-dev/development/rawhide/source/SRPMS/g/${RPM}"
- ;;
-*)
- # Normal upstream release
- SRC_URI="mirror://gnu/gdb/${P}.tar.xz
- ftp://sourceware.org/pub/gdb/releases/${P}.tar.xz"
- ;;
-esac
-
-PATCH_VER="1"
-PATCH_DEV="slyfox"
-DESCRIPTION="GNU debugger"
-HOMEPAGE="https://sourceware.org/gdb/"
-SRC_URI="${SRC_URI}
- ${PATCH_DEV:+https://dev.gentoo.org/~${PATCH_DEV}/distfiles/${PN}-8.1-patches-${PATCH_VER}.tar.xz}
- ${PATCH_VER:+mirror://gentoo/${PN}-8.1-patches-${PATCH_VER}.tar.xz}
-"
-
-LICENSE="GPL-2 LGPL-2"
-SLOT="0"
-if [[ ${PV} != 9999* ]] ; then
- KEYWORDS="amd64 ~arm ~arm64 arm64 ~mips ppc x86"
-fi
-IUSE="+client lzma multitarget nls +python +server test vanilla xml"
-RESTRICT="!test? ( test )"
-REQUIRED_USE="
- python? ( ${PYTHON_REQUIRED_USE} )
- || ( client server )
-"
-
-RDEPEND="
- dev-libs/mpfr:=
- server? ( !dev-util/gdbserver )
- client? (
- >=sys-libs/ncurses-5.2-r2:0=
- sys-libs/readline:0=
- lzma? ( app-arch/xz-utils )
- python? ( ${PYTHON_DEPS} )
- xml? ( dev-libs/expat )
- sys-libs/zlib
- )"
-DEPEND="${RDEPEND}
- app-arch/xz-utils
- sys-apps/texinfo
- client? (
- virtual/yacc
- test? ( dev-util/dejagnu )
- nls? ( sys-devel/gettext )
- )"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-7.11-linux_nat.patch
- "${FILESDIR}"/${PN}-7.11-missing-stat_h.patch
-)
-
-S=${WORKDIR}/${PN}-${MY_PV}
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-}
-
-src_prepare() {
- [[ -n ${RPM} ]] && rpm_spec_epatch "${WORKDIR}"/gdb.spec
- ! use vanilla && [[ -n ${PATCH_VER} ]] && EPATCH_SUFFIX="patch" epatch "${WORKDIR}"/patch
-
- default
-
- strip-linguas -u bfd/po opcodes/po
-}
-
-gdb_branding() {
- printf "Gentoo ${PV} "
- if ! use vanilla && [[ -n ${PATCH_VER} ]] ; then
- printf "p${PATCH_VER}"
- else
- printf "vanilla"
- fi
- [[ -n ${EGIT_COMMIT} ]] && printf " ${EGIT_COMMIT}"
-}
-
-src_configure() {
- strip-unsupported-flags
-
- local myconf=(
- --with-pkgversion="$(gdb_branding)"
- --with-bugurl='https://bugs.gentoo.org/'
- --with-mpfr
- --disable-werror
- # Disable modules that are in a combined binutils/gdb tree. #490566
- --disable-{binutils,etc,gas,gold,gprof,ld}
- )
- local sysroot="${EPREFIX}/usr/${CTARGET}"
- is_cross && myconf+=(
- --with-sysroot="${sysroot}"
- --includedir="${sysroot}/usr/include"
- --with-gdb-datadir="\${datadir}/gdb/${CTARGET}"
- )
-
- if use server && ! use client ; then
- # just configure+build in the gdbserver subdir to speed things up
- cd gdb/gdbserver
- myconf+=( --program-transform-name='' )
- else
- # gdbserver only works for native targets (CHOST==CTARGET).
- # it also doesn't support all targets, so rather than duplicate
- # the target list (which changes between versions), use the
- # "auto" value when things are turned on.
- is_cross \
- && myconf+=( --disable-gdbserver ) \
- || myconf+=( $(use_enable server gdbserver auto) )
- fi
-
- if ! ( use server && ! use client ) ; then
- # if we are configuring in the top level, then use all
- # the additional global options
- myconf+=(
- --enable-64-bit-bfd
- --disable-install-libbfd
- --disable-install-libiberty
- # Disable guile for now as it requires guile-2.x #562902
- --without-guile
- # This only disables building in the readline subdir.
- # For gdb itself, it'll use the system version.
- --disable-readline
- --with-system-readline
- # This only disables building in the zlib subdir.
- # For gdb itself, it'll use the system version.
- --without-zlib
- --with-system-zlib
- --with-separate-debug-dir="${EPREFIX}"/usr/lib/debug
- $(use_with xml expat)
- $(use_with lzma)
- $(use_enable nls)
- $(use multitarget && echo --enable-targets=all)
- $(use_with python python "${EPYTHON}")
- )
- fi
- if use sparc-solaris || use x86-solaris ; then
- # disable largefile support
- # https://sourceware.org/ml/gdb-patches/2014-12/msg00058.html
- myconf+=( --disable-largefile )
- fi
-
- econf "${myconf[@]}"
-}
-
-src_test() {
- nonfatal emake check || ewarn "tests failed"
-}
-
-src_install() {
- if use server && ! use client; then
- cd gdb/gdbserver || die
- fi
- default
- if use client; then
- find "${ED}"/usr -name libiberty.a -delete || die
- fi
- cd "${S}" || die
-
- # Delete translations that conflict with binutils-libs. #528088
- # Note: Should figure out how to store these in an internal gdb dir.
- if use nls ; then
- find "${ED}" \
- -regextype posix-extended -regex '.*/(bfd|opcodes)[.]g?mo$' \
- -delete || die
- fi
-
- # Don't install docs when building a cross-gdb
- if [[ ${CTARGET} != ${CHOST} ]] ; then
- rm -rf "${ED}"/usr/share/{doc,info,locale} || die
- local f
- for f in "${ED}"/usr/share/man/*/* ; do
- if [[ ${f##*/} != ${CTARGET}-* ]] ; then
- mv "${f}" "${f%/*}/${CTARGET}-${f##*/}" || die
- fi
- done
- return 0
- fi
- # Install it by hand for now:
- # https://sourceware.org/ml/gdb-patches/2011-12/msg00915.html
- # Only install if it exists due to the twisted behavior (see
- # notes in src_configure above).
- [[ -e gdb/gdbserver/gdbreplay ]] && dobin gdb/gdbserver/gdbreplay
-
- if use client ; then
- docinto gdb
- dodoc gdb/CONTRIBUTE gdb/README gdb/MAINTAINERS \
- gdb/NEWS gdb/ChangeLog gdb/PROBLEMS
- fi
- docinto sim
- dodoc sim/{ChangeLog,MAINTAINERS,README-HACKING}
- if use server ; then
- docinto gdbserver
- dodoc gdb/gdbserver/{ChangeLog,README}
- fi
-
- if [[ -n ${PATCH_VER} ]] ; then
- dodoc "${WORKDIR}"/extra/gdbinit.sample
- fi
-
- # Remove shared info pages
- rm -f "${ED}"/usr/share/info/{annotate,bfd,configure,standards}.info*
-
- # gcore is part of ubin on freebsd
- if [[ ${CHOST} == *-freebsd* ]]; then
- rm "${ED}"/usr/bin/gcore || die
- fi
-}
-
-pkg_postinst() {
- # portage sucks and doesnt unmerge files in /etc
- rm -vf "${EROOT}"/etc/skel/.gdbinit
-
- if use prefix && [[ ${CHOST} == *-darwin* ]] ; then
- ewarn "gdb is unable to get a mach task port when installed by Prefix"
- ewarn "Portage, unprivileged. To make gdb fully functional you'll"
- ewarn "have to perform the following steps:"
- ewarn " % sudo chgrp procmod ${EPREFIX}/usr/bin/gdb"
- ewarn " % sudo chmod g+s ${EPREFIX}/usr/bin/gdb"
- fi
-}
diff --git a/sys-devel/gdb/gdb-8.1-r2.ebuild b/sys-devel/gdb/gdb-8.1-r2.ebuild
deleted file mode 100644
index d770582..0000000
--- a/sys-devel/gdb/gdb-8.1-r2.ebuild
+++ /dev/null
@@ -1,262 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
-
-inherit eutils flag-o-matic python-single-r1
-
-export CTARGET=${CTARGET:-${CHOST}}
-if [[ ${CTARGET} == ${CHOST} ]] ; then
- if [[ ${CATEGORY} == cross-* ]] ; then
- export CTARGET=${CATEGORY#cross-}
- fi
-fi
-is_cross() { [[ ${CHOST} != ${CTARGET} ]] ; }
-
-RPM=
-MY_PV=${PV}
-case ${PV} in
-9999*)
- # live git tree
- EGIT_REPO_URI="git://sourceware.org/git/binutils-gdb.git"
- inherit git-r3
- SRC_URI=""
- ;;
-*.*.50.2???????)
- # weekly snapshots
- SRC_URI="ftp://sourceware.org/pub/gdb/snapshots/current/gdb-weekly-${PV}.tar.xz"
- ;;
-*.*.*.*.*.*)
- # fedora versions; note we swap the rpm & fedora core versions.
- # gdb-6.8.50.20090302-8.fc11.src.rpm -> gdb-6.8.50.20090302.11.8.ebuild
- # gdb-7.9-11.fc23.src.rpm -> gdb-7.9.23.11.ebuild
- inherit versionator rpm
- gvcr() { get_version_component_range "$@"; }
- parse_fedora_ver() {
- set -- $(get_version_components)
- MY_PV=$(gvcr 1-$(( $# - 2 )))
- RPM="${PN}-${MY_PV}-$(gvcr $#).fc$(gvcr $(( $# - 1 ))).src.rpm"
- }
- parse_fedora_ver
- SRC_URI="mirror://fedora-dev/development/rawhide/source/SRPMS/g/${RPM}"
- ;;
-*)
- # Normal upstream release
- SRC_URI="mirror://gnu/gdb/${P}.tar.xz
- ftp://sourceware.org/pub/gdb/releases/${P}.tar.xz"
- ;;
-esac
-
-PATCH_VER="1"
-PATCH_DEV="slyfox"
-DESCRIPTION="GNU debugger"
-HOMEPAGE="https://sourceware.org/gdb/"
-SRC_URI="${SRC_URI}
- ${PATCH_DEV:+https://dev.gentoo.org/~${PATCH_DEV}/distfiles/${PN}-8.1-patches-${PATCH_VER}.tar.xz}
- ${PATCH_VER:+mirror://gentoo/${PN}-8.1-patches-${PATCH_VER}.tar.xz}
-"
-
-LICENSE="GPL-2 LGPL-2"
-SLOT="0"
-if [[ ${PV} != 9999* ]] ; then
- KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~x86"
-fi
-IUSE="+client lzma multitarget nls +python +server test vanilla xml"
-RESTRICT="!test? ( test )"
-REQUIRED_USE="
- python? ( ${PYTHON_REQUIRED_USE} )
- || ( client server )
-"
-
-RDEPEND="
- server? ( !dev-util/gdbserver )
- client? (
- dev-libs/mpfr:0=
- >=sys-libs/ncurses-5.2-r2:0=
- sys-libs/readline:0=
- lzma? ( app-arch/xz-utils )
- python? ( ${PYTHON_DEPS} )
- xml? ( dev-libs/expat )
- sys-libs/zlib
- )"
-DEPEND="${RDEPEND}
- app-arch/xz-utils
- sys-apps/texinfo
- client? (
- virtual/yacc
- test? ( dev-util/dejagnu )
- nls? ( sys-devel/gettext )
- )"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-7.11-linux_nat.patch
- "${FILESDIR}"/${PN}-7.11-missing-stat_h.patch
-)
-
-S=${WORKDIR}/${PN}-${MY_PV}
-
-pkg_setup() {
- use python && python-single-r1_pkg_setup
-}
-
-src_prepare() {
- [[ -n ${RPM} ]] && rpm_spec_epatch "${WORKDIR}"/gdb.spec
- ! use vanilla && [[ -n ${PATCH_VER} ]] && EPATCH_SUFFIX="patch" epatch "${WORKDIR}"/patch
-
- default
-
- strip-linguas -u bfd/po opcodes/po
-}
-
-gdb_branding() {
- printf "Gentoo ${PV} "
- if ! use vanilla && [[ -n ${PATCH_VER} ]] ; then
- printf "p${PATCH_VER}"
- else
- printf "vanilla"
- fi
- [[ -n ${EGIT_COMMIT} ]] && printf " ${EGIT_COMMIT}"
-}
-
-src_configure() {
- strip-unsupported-flags
-
- local myconf=(
- --with-pkgversion="$(gdb_branding)"
- --with-bugurl='https://bugs.gentoo.org/'
- --disable-werror
- # Disable modules that are in a combined binutils/gdb tree. #490566
- --disable-{binutils,etc,gas,gold,gprof,ld}
- )
- local sysroot="${EPREFIX}/usr/${CTARGET}"
- is_cross && myconf+=(
- --with-sysroot="${sysroot}"
- --includedir="${sysroot}/usr/include"
- --with-gdb-datadir="\${datadir}/gdb/${CTARGET}"
- )
-
- if use server && ! use client ; then
- # just configure+build in the gdbserver subdir to speed things up
- cd gdb/gdbserver
- myconf+=( --program-transform-name='' )
- else
- # gdbserver only works for native targets (CHOST==CTARGET).
- # it also doesn't support all targets, so rather than duplicate
- # the target list (which changes between versions), use the
- # "auto" value when things are turned on.
- is_cross \
- && myconf+=( --disable-gdbserver ) \
- || myconf+=( $(use_enable server gdbserver auto) )
- fi
-
- if ! ( use server && ! use client ) ; then
- # if we are configuring in the top level, then use all
- # the additional global options
- myconf+=(
- --enable-64-bit-bfd
- --disable-install-libbfd
- --disable-install-libiberty
- # Disable guile for now as it requires guile-2.x #562902
- --without-guile
- # This only disables building in the readline subdir.
- # For gdb itself, it'll use the system version.
- --disable-readline
- --with-system-readline
- # This only disables building in the zlib subdir.
- # For gdb itself, it'll use the system version.
- --without-zlib
- --with-system-zlib
- --with-separate-debug-dir="${EPREFIX}"/usr/lib/debug
- $(use_with xml expat)
- $(use_with lzma)
- $(use_enable nls)
- $(use multitarget && echo --enable-targets=all)
- $(use_with python python "${EPYTHON}")
- )
- fi
- if use sparc-solaris || use x86-solaris ; then
- # disable largefile support
- # https://sourceware.org/ml/gdb-patches/2014-12/msg00058.html
- myconf+=( --disable-largefile )
- fi
-
- econf "${myconf[@]}"
-}
-
-src_test() {
- nonfatal emake check || ewarn "tests failed"
-}
-
-src_install() {
- if use server && ! use client; then
- cd gdb/gdbserver || die
- fi
- default
- if use client; then
- find "${ED}"/usr -name libiberty.a -delete || die
- fi
- cd "${S}" || die
-
- # Delete translations that conflict with binutils-libs. #528088
- # Note: Should figure out how to store these in an internal gdb dir.
- if use nls ; then
- find "${ED}" \
- -regextype posix-extended -regex '.*/(bfd|opcodes)[.]g?mo$' \
- -delete || die
- fi
-
- # Don't install docs when building a cross-gdb
- if [[ ${CTARGET} != ${CHOST} ]] ; then
- rm -rf "${ED}"/usr/share/{doc,info,locale} || die
- local f
- for f in "${ED}"/usr/share/man/*/* ; do
- if [[ ${f##*/} != ${CTARGET}-* ]] ; then
- mv "${f}" "${f%/*}/${CTARGET}-${f##*/}" || die
- fi
- done
- return 0
- fi
- # Install it by hand for now:
- # https://sourceware.org/ml/gdb-patches/2011-12/msg00915.html
- # Only install if it exists due to the twisted behavior (see
- # notes in src_configure above).
- [[ -e gdb/gdbserver/gdbreplay ]] && dobin gdb/gdbserver/gdbreplay
-
- if use client ; then
- docinto gdb
- dodoc gdb/CONTRIBUTE gdb/README gdb/MAINTAINERS \
- gdb/NEWS gdb/ChangeLog gdb/PROBLEMS
- fi
- docinto sim
- dodoc sim/{ChangeLog,MAINTAINERS,README-HACKING}
- if use server ; then
- docinto gdbserver
- dodoc gdb/gdbserver/{ChangeLog,README}
- fi
-
- if [[ -n ${PATCH_VER} ]] ; then
- dodoc "${WORKDIR}"/extra/gdbinit.sample
- fi
-
- # Remove shared info pages
- rm -f "${ED}"/usr/share/info/{annotate,bfd,configure,standards}.info*
-
- # gcore is part of ubin on freebsd
- if [[ ${CHOST} == *-freebsd* ]]; then
- rm "${ED}"/usr/bin/gcore || die
- fi
-}
-
-pkg_postinst() {
- # portage sucks and doesnt unmerge files in /etc
- rm -vf "${EROOT}"/etc/skel/.gdbinit
-
- if use prefix && [[ ${CHOST} == *-darwin* ]] ; then
- ewarn "gdb is unable to get a mach task port when installed by Prefix"
- ewarn "Portage, unprivileged. To make gdb fully functional you'll"
- ewarn "have to perform the following steps:"
- ewarn " % sudo chgrp procmod ${EPREFIX}/usr/bin/gdb"
- ewarn " % sudo chmod g+s ${EPREFIX}/usr/bin/gdb"
- fi
-}
diff --git a/sys-devel/gdb/metadata.xml b/sys-devel/gdb/metadata.xml
deleted file mode 100644
index d11b1ea..0000000
--- a/sys-devel/gdb/metadata.xml
+++ /dev/null
@@ -1,19 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<maintainer type="project">
- <email>toolchain@gentoo.org</email>
- <name>Gentoo Toolchain Project</name>
-</maintainer>
-<use>
- <flag name="client">Install the main "gdb" program (most people want this)</flag>
- <flag name="lzma">Support lzma compression in ELF debug info</flag>
- <flag name="multitarget">Support all known targets in one gdb binary</flag>
- <flag name="python">Enable support for the new internal scripting language, as well as extended pretty printers</flag>
- <flag name="server">Install the "gdbserver" program (useful for embedded/remote targets)</flag>
- <flag name="xml">Support parsing XML data files needed (at least) for cpu features, memory maps, and syscall tracing</flag>
-</use>
-<upstream>
- <remote-id type="cpe">cpe:/a:gnu:gdb</remote-id>
-</upstream>
-</pkgmetadata>
diff --git a/sys-libs/ldb/Manifest b/sys-libs/ldb/Manifest
deleted file mode 100644
index 5c24f0e..0000000
--- a/sys-libs/ldb/Manifest
+++ /dev/null
@@ -1,8 +0,0 @@
-DIST ldb-1.1.29.tar.gz 1277551 BLAKE2B 449333d40073fd63d6d013ba0ae43fc3a0b8201948eabd440d164d182492002c1d92047d652105c2fb6a3e8383d4b75f45e38cc52efc5d9a0e2811113676203a SHA512 d37bbe84358e05d17483e2e963b8477da5ea351b855b454142c94af35f7987bede0f19faeaff17779efe04e3bb37c510437fcc59be99a17c826620fc25fd659c
-DIST ldb-1.1.31.tar.gz 1337586 BLAKE2B 9454f91a621368cfc7cfdb709781653e947d63b275bb3b288049acb43ee3c02ae4f0be820ccf9e3bb32938d12598a91b7a6292b08c638ccfd59bd1be182f09c0 SHA512 49ccd57000cbcc6d828160f4457236b28853d766d641841471f61226156b6103fe563c43c950577b038ea3c0a54506bca94c640d3d5f912a3b8af95eb9ef2824
-DIST ldb-1.2.4.tar.gz 1346413 BLAKE2B 441cdf679ab4852e1c8d90ca8d9544d7983436c864cb3ea76b63f45177061c2763f9700b4be4be9ba53a4bcc9cec49b509dd39efb8f5f2171bc432641d1329c2 SHA512 093815cfa9e950299c4f09c58362136d72c439692f7d8670ecbf9cac49ecef6fd365f8fab5d39f41a4dd39e07f6c8d1a2616e843653d2fa0d7bdff346a118aa9
-DIST ldb-1.3.6.tar.gz 1374574 BLAKE2B 654f35eb25aeb373540ead7cb10da66c92970ea6b100631cb14bacf937fec64e09b19ed3e09a976406e3f8d6347c4e17144c0a0bff8795316559be45353edbf7 SHA512 8fcd72598e948c55adaa832d6ebcbc03b979281032cb900af4304c1c68ce9cc94a1e1d4729d0c2a0b83a618cab716749d851160005a0093cf8a178e6dbea298d
-DIST ldb-1.3.8.tar.gz 1375782 BLAKE2B dbca935e762af86b268308253615019b24af6727411e77947ceeadd3e0114c2ad2a14d4a4f1121bf58ccb080d44a8513d2094314b043604d885977a26e622c57 SHA512 06d1b4c2badbf0c27733a64f979c48af8b599747cef7cd7f5417cd55a76447e8f8987bd061694c5af63261fdb35433e3844122c14103d5cc8b4eaab1f4752541
-DIST ldb-1.4.7.tar.gz 1430560 BLAKE2B b6b9a12b6f17ffee8e9a47673786d1247310655ca87bb0280fb8ce04a69c52435721fe5e8ab1ce18406e28dfeef57fe30b3b3fc42a4951505f8772bf5e7553ce SHA512 e53bdd831d37b87b5adaf17f46b883f177f97541ad957d134dbfc196bc37749074df7c8cafb8e2993c6aae9bc150ae8d88daad56c26de9f62c5259c479da7016
-DIST ldb-1.5.5.tar.gz 1629070 BLAKE2B 374042c77c9ec7bd88ad1d97757f171ae831a630751fc06bf22190355c1448fa8c2327d308cdbe5b46ca21236738548d2c1041c3dfb428e1dfee8053edf90050 SHA512 562e08b3d6564d08fed80dc43ca299c38fbd958dbe27ed1400e5eb5c3df0f4c7b7eaf502b13eec5544b168f26c5e6537615f65e28dcaeb6473d2ff3c3c7a4e4b
-DIST ldb-2.0.8.tar.gz 1676902 BLAKE2B b86b24a597bd81ae11382311f3b60aeb8aca78ddbe63413b9a8cdbbfa4f52b05a0d2e325d483e260b15aa396c2ad9f2828ac4b6214af86d891281d05b24125b5 SHA512 23a44968c9b4b57deb3f7b7b2466f140b4d8534a07a5e866545dd108c3d305ee4b0ea9bceec3177fcd09a4efcb4876a8283ca58b5c496fcf323b810666e1e79a
diff --git a/sys-libs/ldb/files/ldb-1.1.27-optional_packages.patch b/sys-libs/ldb/files/ldb-1.1.27-optional_packages.patch
deleted file mode 100644
index 92e14c6..0000000
--- a/sys-libs/ldb/files/ldb-1.1.27-optional_packages.patch
+++ /dev/null
@@ -1,92 +0,0 @@
---- ldb-1.1.27/lib/talloc/wscript
-+++ ldb-1.1.27/lib/talloc/wscript
-@@ -48,7 +48,7 @@
- if conf.CHECK_BUNDLED_SYSTEM_PKG('talloc', minversion=VERSION,
- implied_deps='replace'):
- conf.define('USING_SYSTEM_TALLOC', 1)
-- if conf.CHECK_BUNDLED_SYSTEM_PKG('pytalloc-util', minversion=VERSION,
-+ if not conf.env.disable_python and conf.CHECK_BUNDLED_SYSTEM_PKG('pytalloc-util', minversion=VERSION,
- implied_deps='talloc replace'):
- conf.define('USING_SYSTEM_PYTALLOC_UTIL', 1)
-
---- ldb-1.1.27/wscript
-+++ ldb-1.1.27/wscript
-@@ -5,6 +5,7 @@
-
- blddir = 'bin'
-
-+import Logs
- import sys, os
-
- # find the buildtools directory
-@@ -13,7 +14,7 @@
- srcdir = srcdir + '/..'
- sys.path.insert(0, srcdir + '/buildtools/wafsamba')
-
--import wafsamba, samba_dist, Utils
-+import wafsamba, samba_dist, Utils, Options
-
- samba_dist.DIST_DIRS('''lib/ldb:. lib/replace:lib/replace lib/talloc:lib/talloc
- lib/tdb:lib/tdb lib/tdb:lib/tdb lib/tevent:lib/tevent
-@@ -28,8 +29,21 @@
- opt.RECURSE('lib/tevent')
- opt.RECURSE('lib/replace')
- opt.tool_options('python') # options for disabling pyc or pyo compilation
-+ if opt.IN_LAUNCH_DIR():
-+ opt.add_option('--disable-python',
-+ help=("disable the pyldb modules"),
-+ action="store_true", dest='disable_python', default=False)
-+ if opt.IN_LAUNCH_DIR():
-+ opt.add_option('--disable-ldap',
-+ help=("disable ldap support"),
-+ action="store_true", dest='disable_ldap', default=False)
-
- def configure(conf):
-+ conf.env.standalone_ldb = conf.IN_LAUNCH_DIR()
-+
-+ conf.env.disable_python = getattr(Options.options, 'disable_python', False)
-+ conf.env.disable_ldap = getattr(Options.options, 'disable_ldap', False)
-+
- conf.RECURSE('lib/tdb')
- conf.RECURSE('lib/tevent')
-
-@@ -44,16 +58,18 @@
- conf.RECURSE('lib/replace')
- conf.find_program('python', var='PYTHON')
- conf.find_program('xsltproc', var='XSLTPROC')
-- conf.check_tool('python')
-- conf.check_python_version((2,4,2))
-- conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=True)
-+
-+ if not conf.env.disable_python:
-+ conf.SAMBA_CHECK_PYTHON(mandatory=False, version=(2,4,2))
-+ conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=False)
-+ if not conf.env.HAVE_PYTHON_H:
-+ Logs.warn('Disabling pyldb-util as python devel libs not found')
-+ conf.env.disable_python = True
-
- # where does the default LIBDIR end up? in conf.env somewhere?
- #
- conf.CONFIG_PATH('LDB_MODULESDIR', conf.SUBST_ENV_VAR('MODULESDIR') + '/ldb')
-
-- conf.env.standalone_ldb = conf.IN_LAUNCH_DIR()
--
- if not conf.env.standalone_ldb:
- if conf.CHECK_BUNDLED_SYSTEM_PKG('pyldb-util', minversion=VERSION,
- onlyif='talloc tdb tevent',
-@@ -67,9 +83,12 @@
- if conf.env.standalone_ldb:
- conf.CHECK_XSLTPROC_MANPAGES()
-
-- # we need this for the ldap backend
-- if conf.CHECK_FUNCS_IN('ber_flush ldap_open ldap_initialize', 'lber ldap', headers='lber.h ldap.h'):
-- conf.env.ENABLE_LDAP_BACKEND = True
-+ if not conf.env.disable_ldap:
-+ # we need this for the ldap backend
-+ if conf.CHECK_FUNCS_IN('ber_flush ldap_open ldap_initialize', 'lber ldap', headers='lber.h ldap.h'):
-+ conf.env.ENABLE_LDAP_BACKEND = True
-+ else:
-+ conf.env.ENABLE_LDAP_BACKEND = False
-
- # we don't want any libraries or modules to rely on runtime
- # resolution of symbols
diff --git a/sys-libs/ldb/files/ldb-1.1.29-disable-python.patch b/sys-libs/ldb/files/ldb-1.1.29-disable-python.patch
deleted file mode 100644
index bc4120e..0000000
--- a/sys-libs/ldb/files/ldb-1.1.29-disable-python.patch
+++ /dev/null
@@ -1,48 +0,0 @@
---- a/lib/tdb/wscript 2016-11-30 09:56:00.000000000 -0500
-+++ b/lib/tdb/wscript 2017-02-08 16:37:49.160987205 -0500
-@@ -77,16 +77,16 @@
- conf.env.standalone_tdb = conf.IN_LAUNCH_DIR()
- conf.env.building_tdb = True
-
-+ conf.env.disable_python = getattr(Options.options, 'disable_python', False)
-+
- if not conf.env.standalone_tdb:
- if conf.CHECK_BUNDLED_SYSTEM_PKG('tdb', minversion=VERSION,
- implied_deps='replace'):
- conf.define('USING_SYSTEM_TDB', 1)
- conf.env.building_tdb = False
-- if conf.CHECK_BUNDLED_SYSTEM_PYTHON('pytdb', 'tdb', minversion=VERSION):
-+ if not conf.env.disable_python and conf.CHECK_BUNDLED_SYSTEM_PYTHON('pytdb', 'tdb', minversion=VERSION):
- conf.define('USING_SYSTEM_PYTDB', 1)
-
-- conf.env.disable_python = getattr(Options.options, 'disable_python', False)
--
- if (conf.CONFIG_SET('HAVE_ROBUST_MUTEXES') and
- conf.env.building_tdb and
- not conf.env.disable_tdb_mutex_locking):
---- a/lib/tevent/wscript 2016-10-07 00:45:35.000000000 -0400
-+++ b/lib/tevent/wscript 2017-02-08 16:39:22.478733175 -0500
-@@ -34,11 +34,13 @@
-
- conf.env.standalone_tevent = conf.IN_LAUNCH_DIR()
-
-+ conf.env.disable_python = getattr(Options.options, 'disable_python', False)
-+
- if not conf.env.standalone_tevent:
- if conf.CHECK_BUNDLED_SYSTEM_PKG('tevent', minversion=VERSION,
- onlyif='talloc', implied_deps='replace talloc'):
- conf.define('USING_SYSTEM_TEVENT', 1)
-- if conf.CHECK_BUNDLED_SYSTEM_PYTHON('pytevent', 'tevent', minversion=VERSION):
-+ if not conf.env.disable_python and conf.CHECK_BUNDLED_SYSTEM_PYTHON('pytevent', 'tevent', minversion=VERSION):
- conf.define('USING_SYSTEM_PYTEVENT', 1)
-
- if conf.CHECK_FUNCS('epoll_create', headers='sys/epoll.h'):
-@@ -61,8 +63,6 @@
- if not conf.CONFIG_SET('USING_SYSTEM_TEVENT'):
- conf.DEFINE('TEVENT_NUM_SIGNALS', tevent_num_signals)
-
-- conf.env.disable_python = getattr(Options.options, 'disable_python', False)
--
- if not conf.env.disable_python:
- # also disable if we don't have the python libs installed
- conf.find_program('python', var='PYTHON')
diff --git a/sys-libs/ldb/files/ldb-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch b/sys-libs/ldb/files/ldb-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
deleted file mode 100644
index c45b13f..0000000
--- a/sys-libs/ldb/files/ldb-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
+++ /dev/null
@@ -1,17 +0,0 @@
---- a/wscript 2017-07-05 15:35:52.178964698 -0400
-+++ b/wscript 2017-07-05 15:49:20.137977649 -0400
-@@ -208,6 +208,14 @@
- ldb_headers = ('include/ldb.h include/ldb_errors.h '
- 'include/ldb_module.h include/ldb_handlers.h')
-
-+ # we're not currently linking against the ldap libs, but ldb.pc.in
-+ # has @LDAP_LIBS@
-+ bld.env.LDAP_LIBS = ''
-+
-+ if not 'PACKAGE_VERSION' in bld.env:
-+ bld.env.PACKAGE_VERSION = VERSION
-+ bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
-+
- bld.SAMBA_LIBRARY('ldb',
- COMMON_SRC + ' ' + LDB_MAP_SRC,
- deps='tevent LIBLDB_MAIN replace',
diff --git a/sys-libs/ldb/files/ldb-1.1.31-optional_packages.patch b/sys-libs/ldb/files/ldb-1.1.31-optional_packages.patch
deleted file mode 100644
index 1e9b517..0000000
--- a/sys-libs/ldb/files/ldb-1.1.31-optional_packages.patch
+++ /dev/null
@@ -1,57 +0,0 @@
---- ldb-1.1.27/wscript
-+++ ldb-1.1.27/wscript
-@@ -5,6 +5,7 @@
-
- blddir = 'bin'
-
-+import Logs
- import sys, os
-
- # find the buildtools directory
-@@ -13,7 +14,7 @@
- srcdir = srcdir + '/..'
- sys.path.insert(0, srcdir + '/buildtools/wafsamba')
-
--import wafsamba, samba_dist, Utils
-+import wafsamba, samba_dist, Utils, Options
-
- samba_dist.DIST_DIRS('''lib/ldb:. lib/replace:lib/replace lib/talloc:lib/talloc
- lib/tdb:lib/tdb lib/tdb:lib/tdb lib/tevent:lib/tevent
-@@ -28,8 +29,21 @@
- opt.RECURSE('lib/tevent')
- opt.RECURSE('lib/replace')
- opt.tool_options('python') # options for disabling pyc or pyo compilation
-+ if opt.IN_LAUNCH_DIR():
-+ opt.add_option('--disable-python',
-+ help=("disable the pyldb modules"),
-+ action="store_true", dest='disable_python', default=False)
-+ if opt.IN_LAUNCH_DIR():
-+ opt.add_option('--disable-ldap',
-+ help=("disable ldap support"),
-+ action="store_true", dest='disable_ldap', default=False)
-
- def configure(conf):
-+ conf.env.standalone_ldb = conf.IN_LAUNCH_DIR()
-+
-+ conf.env.disable_python = getattr(Options.options, 'disable_python', False)
-+ conf.env.disable_ldap = getattr(Options.options, 'disable_ldap', False)
-+
- conf.RECURSE('lib/tdb')
- conf.RECURSE('lib/tevent')
-
-@@ -67,9 +81,12 @@
- if conf.env.standalone_ldb:
- conf.CHECK_XSLTPROC_MANPAGES()
-
-- # we need this for the ldap backend
-- if conf.CHECK_FUNCS_IN('ber_flush ldap_open ldap_initialize', 'lber ldap', headers='lber.h ldap.h'):
-- conf.env.ENABLE_LDAP_BACKEND = True
-+ if not conf.env.disable_ldap:
-+ # we need this for the ldap backend
-+ if conf.CHECK_FUNCS_IN('ber_flush ldap_open ldap_initialize', 'lber ldap', headers='lber.h ldap.h'):
-+ conf.env.ENABLE_LDAP_BACKEND = True
-+ else:
-+ conf.env.ENABLE_LDAP_BACKEND = False
-
- # we don't want any libraries or modules to rely on runtime
- # resolution of symbols
diff --git a/sys-libs/ldb/files/ldb-1.1.31-talloc-disable-python.patch b/sys-libs/ldb/files/ldb-1.1.31-talloc-disable-python.patch
deleted file mode 100644
index 6ef45eb..0000000
--- a/sys-libs/ldb/files/ldb-1.1.31-talloc-disable-python.patch
+++ /dev/null
@@ -1,34 +0,0 @@
---- a/lib/talloc/wscript 2017-04-28 04:57:26.000000000 -0400
-+++ b/lib/talloc/wscript 2017-07-05 14:30:42.700580464 -0400
-@@ -74,19 +74,22 @@
- implied_deps='replace'):
- conf.define('USING_SYSTEM_TALLOC', 1)
-
-- using_system_pytalloc_util = True
-- if not conf.CHECK_BUNDLED_SYSTEM_PKG('pytalloc-util', minversion=VERSION,
-- implied_deps='talloc replace'):
-+ if conf.env.disable_python:
- using_system_pytalloc_util = False
--
-- # We need to get a pytalloc-util for all the python versions
-- # we are building for
-- if conf.env['EXTRA_PYTHON']:
-- name = 'pytalloc-util' + conf.all_envs['extrapython']['PYTHON_SO_ABI_FLAG']
-- if not conf.CHECK_BUNDLED_SYSTEM_PKG(name, minversion=VERSION,
-+ else:
-+ using_system_pytalloc_util = True
-+ if not conf.CHECK_BUNDLED_SYSTEM_PKG('pytalloc-util', minversion=VERSION,
- implied_deps='talloc replace'):
- using_system_pytalloc_util = False
-
-+ # We need to get a pytalloc-util for all the python versions
-+ # we are building for
-+ if conf.env['EXTRA_PYTHON']:
-+ name = 'pytalloc-util' + conf.all_envs['extrapython']['PYTHON_SO_ABI_FLAG']
-+ if not conf.CHECK_BUNDLED_SYSTEM_PKG(name, minversion=VERSION,
-+ implied_deps='talloc replace'):
-+ using_system_pytalloc_util = False
-+
- if using_system_pytalloc_util:
- conf.define('USING_SYSTEM_PYTALLOC_UTIL', 1)
-
diff --git a/sys-libs/ldb/files/ldb-1.2.3-disable_python.patch b/sys-libs/ldb/files/ldb-1.2.3-disable_python.patch
deleted file mode 100644
index 133e2ac..0000000
--- a/sys-libs/ldb/files/ldb-1.2.3-disable_python.patch
+++ /dev/null
@@ -1,64 +0,0 @@
-Revert talloc/wscript to the one from ldb-1.2.2
-
---- ldb-1.2.3/lib/talloc/wscript
-+++ ldb-1.2.3/lib/talloc/wscript
-@@ -1,7 +1,7 @@
- #!/usr/bin/env python
-
- APPNAME = 'talloc'
--VERSION = '2.1.9'
-+VERSION = '2.1.10'
-
-
- blddir = 'bin'
-@@ -74,19 +74,22 @@
- implied_deps='replace'):
- conf.define('USING_SYSTEM_TALLOC', 1)
-
-- using_system_pytalloc_util = True
-- if not conf.CHECK_BUNDLED_SYSTEM_PKG('pytalloc-util', minversion=VERSION,
-- implied_deps='talloc replace'):
-+ if conf.env.disable_python:
- using_system_pytalloc_util = False
--
-- # We need to get a pytalloc-util for all the python versions
-- # we are building for
-- if conf.env['EXTRA_PYTHON']:
-- name = 'pytalloc-util' + conf.all_envs['extrapython']['PYTHON_SO_ABI_FLAG']
-- if not conf.CHECK_BUNDLED_SYSTEM_PKG(name, minversion=VERSION,
-+ else:
-+ using_system_pytalloc_util = True
-+ if not conf.CHECK_BUNDLED_SYSTEM_PKG('pytalloc-util', minversion=VERSION,
- implied_deps='talloc replace'):
- using_system_pytalloc_util = False
-
-+ # We need to get a pytalloc-util for all the python versions
-+ # we are building for
-+ if conf.env['EXTRA_PYTHON']:
-+ name = 'pytalloc-util' + conf.all_envs['extrapython']['PYTHON_SO_ABI_FLAG']
-+ if not conf.CHECK_BUNDLED_SYSTEM_PKG(name, minversion=VERSION,
-+ implied_deps='talloc replace'):
-+ using_system_pytalloc_util = False
-+
- if using_system_pytalloc_util:
- conf.define('USING_SYSTEM_PYTALLOC_UTIL', 1)
-
-@@ -171,12 +174,18 @@
- def test(ctx):
- '''run talloc testsuite'''
- import Utils, samba_utils
-+
-+ samba_utils.ADD_LD_LIBRARY_PATH('bin/shared')
-+ samba_utils.ADD_LD_LIBRARY_PATH('bin/shared/private')
-+
- cmd = os.path.join(Utils.g_module.blddir, 'talloc_testsuite')
- ret = samba_utils.RUN_COMMAND(cmd)
- print("testsuite returned %d" % ret)
- magic_helper_cmd = os.path.join(Utils.g_module.blddir, 'talloc_test_magic_differs_helper')
- magic_cmd = os.path.join(srcdir, 'lib', 'talloc',
- 'test_magic_differs.sh')
-+ if not os.path.exists(magic_cmd):
-+ magic_cmd = os.path.join(srcdir, 'test_magic_differs.sh')
-
- magic_ret = samba_utils.RUN_COMMAND(magic_cmd + " " + magic_helper_cmd)
- print("magic differs test returned %d" % magic_ret)
diff --git a/sys-libs/ldb/files/ldb-1.4.0-optional_packages.patch b/sys-libs/ldb/files/ldb-1.4.0-optional_packages.patch
deleted file mode 100644
index 3781389..0000000
--- a/sys-libs/ldb/files/ldb-1.4.0-optional_packages.patch
+++ /dev/null
@@ -1,45 +0,0 @@
---- ldb-1.4.0/wscript
-+++ ldb-1.4.0/wscript
-@@ -31,6 +31,14 @@
- opt.RECURSE('lib/tevent')
- opt.RECURSE('lib/replace')
- opt.tool_options('python') # options for disabling pyc or pyo compilation
-+ if opt.IN_LAUNCH_DIR():
-+ opt.add_option('--disable-python',
-+ help=("disable the pyldb modules"),
-+ action="store_true", dest='disable_python', default=False)
-+ if opt.IN_LAUNCH_DIR():
-+ opt.add_option('--disable-ldap',
-+ help=("disable ldap support"),
-+ action="store_true", dest='disable_ldap', default=False)
-
- opt.add_option('--without-ldb-lmdb',
- help='disable new LMDB backend for LDB',
-@@ -38,6 +46,11 @@
-
-
- def configure(conf):
-+ conf.env.standalone_ldb = conf.IN_LAUNCH_DIR()
-+
-+ conf.env.disable_python = getattr(Options.options, 'disable_python', False)
-+ conf.env.disable_ldap = getattr(Options.options, 'disable_ldap', False)
-+
- conf.RECURSE('lib/tdb')
- conf.RECURSE('lib/tevent')
-
-@@ -142,9 +155,12 @@
- if conf.env.standalone_ldb:
- conf.CHECK_XSLTPROC_MANPAGES()
-
-- # we need this for the ldap backend
-- if conf.CHECK_FUNCS_IN('ber_flush ldap_open ldap_initialize', 'lber ldap', headers='lber.h ldap.h'):
-- conf.env.ENABLE_LDAP_BACKEND = True
-+ if not conf.env.disable_ldap:
-+ # we need this for the ldap backend
-+ if conf.CHECK_FUNCS_IN('ber_flush ldap_open ldap_initialize', 'lber ldap', headers='lber.h ldap.h'):
-+ conf.env.ENABLE_LDAP_BACKEND = True
-+ else:
-+ conf.env.ENABLE_LDAP_BACKEND = False
-
- # we don't want any libraries or modules to rely on runtime
- # resolution of symbols
diff --git a/sys-libs/ldb/files/ldb-1.5.2-optional_packages.patch b/sys-libs/ldb/files/ldb-1.5.2-optional_packages.patch
deleted file mode 100644
index bdceeb3..0000000
--- a/sys-libs/ldb/files/ldb-1.5.2-optional_packages.patch
+++ /dev/null
@@ -1,40 +0,0 @@
---- ldb-1.5.2/wscript
-+++ ldb-1.5.2/wscript
-@@ -33,6 +33,10 @@
- opt.RECURSE('lib/tevent')
- opt.RECURSE('lib/replace')
- opt.load('python') # options for disabling pyc or pyo compilation
-+ if opt.IN_LAUNCH_DIR():
-+ opt.add_option('--disable-ldap',
-+ help=("disable ldap support"),
-+ action="store_true", dest='disable_ldap', default=False)
-
- opt.add_option('--without-ldb-lmdb',
- help='disable new LMDB backend for LDB',
-@@ -40,6 +44,10 @@
-
-
- def configure(conf):
-+ conf.env.standalone_ldb = conf.IN_LAUNCH_DIR()
-+
-+ conf.env.disable_ldap = getattr(Options.options, 'disable_ldap', False)
-+
- conf.RECURSE('lib/tdb')
- conf.RECURSE('lib/tevent')
-
-@@ -157,9 +165,12 @@
- if conf.env.standalone_ldb:
- conf.CHECK_XSLTPROC_MANPAGES()
-
-- # we need this for the ldap backend
-- if conf.CHECK_FUNCS_IN('ber_flush ldap_open ldap_initialize', 'lber ldap', headers='lber.h ldap.h'):
-- conf.env.ENABLE_LDAP_BACKEND = True
-+ if not conf.env.disable_ldap:
-+ # we need this for the ldap backend
-+ if conf.CHECK_FUNCS_IN('ber_flush ldap_open ldap_initialize', 'lber ldap', headers='lber.h ldap.h'):
-+ conf.env.ENABLE_LDAP_BACKEND = True
-+ else:
-+ conf.env.ENABLE_LDAP_BACKEND = False
-
- # we don't want any libraries or modules to rely on runtime
- # resolution of symbols
diff --git a/sys-libs/ldb/files/ldb-2.0.8-include-fcntl.h-for-pid_t.patch b/sys-libs/ldb/files/ldb-2.0.8-include-fcntl.h-for-pid_t.patch
deleted file mode 100644
index d1e0ed1..0000000
--- a/sys-libs/ldb/files/ldb-2.0.8-include-fcntl.h-for-pid_t.patch
+++ /dev/null
@@ -1,10 +0,0 @@
---- a/include/ldb.h
-+++ b/include/ldb.h
-@@ -46,6 +46,7 @@
- #define _LDB_H_ 1
- /*! \endcond */
-
-+#include <fcntl.h>
- #include <stdbool.h>
- #include <talloc.h>
- #include <tevent.h>
diff --git a/sys-libs/ldb/ldb-1.1.29-r1.ebuild b/sys-libs/ldb/ldb-1.1.29-r1.ebuild
deleted file mode 100644
index c0af7a5..0000000
--- a/sys-libs/ldb/ldb-1.1.29-r1.ebuild
+++ /dev/null
@@ -1,103 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-PYTHON_REQ_USE="threads"
-
-inherit python-single-r1 waf-utils multilib-minimal eutils flag-o-matic
-
-DESCRIPTION="An LDAP-like embedded database"
-HOMEPAGE="https://ldb.samba.org/"
-SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0/${PV}"
-KEYWORDS="amd64 arm ~arm64 ~mips ppc ppc64 x86"
-IUSE="doc +ldap +python"
-
-RDEPEND="dev-libs/libbsd[${MULTILIB_USEDEP}]
- dev-libs/popt[${MULTILIB_USEDEP}]
- >=sys-libs/talloc-2.1.8[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tevent-0.9.31[python(+)?,${MULTILIB_USEDEP}]
- >=sys-libs/tdb-1.3.12[python?,${MULTILIB_USEDEP}]
- !!<net-fs/samba-3.6.0[ldb]
- !!>=net-fs/samba-4.0.0[ldb]
- python? ( ${PYTHON_DEPS} )
- ldap? ( net-nds/openldap )
- "
-
-DEPEND="dev-libs/libxslt
- doc? ( app-doc/doxygen )
- virtual/pkgconfig
- ${PYTHON_DEPS}
- ${RDEPEND}"
-
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-WAF_BINARY="${S}/buildtools/bin/waf"
-
-MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.1.27-optional_packages.patch
- "${FILESDIR}"/${P}-disable-python.patch
-)
-
-pkg_setup() {
- python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- local myconf=(
- $(usex ldap '' --disable-ldap) \
- --disable-rpath \
- --disable-rpath-install --bundled-libraries=NONE \
- --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba \
- --builtin-libraries=NONE
- )
- if ! multilib_is_native_abi; then
- myconf+=( --disable-python )
- else
- myconf+=( $(usex python '' '--disable-python') )
- fi
- waf-utils_src_configure "${myconf[@]}"
-}
-
-multilib_src_compile(){
- use elibc_musl && append-cflags "-D__NEED_pid_t"
- waf-utils_src_compile
- multilib_is_native_abi && use doc && doxygen Doxyfile
-}
-
-multilib_src_test() {
- if multilib_is_native_abi; then
- WAF_MAKE=1 \
- PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/ \
- LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared \
- waf test || die
- fi
-}
-
-multilib_src_install() {
- waf-utils_src_install
-
- if multilib_is_native_abi && use doc; then
- doman apidocs/man/man3/*.3
- docinto html
- dodoc -r apidocs/html/*
- fi
-}
-
-pkg_postinst() {
- if has_version sys-auth/sssd; then
- ewarn "You have sssd installed. It is known to break after ldb upgrades,"
- ewarn "so please try to rebuild it before reporting bugs."
- ewarn "See https://bugs.gentoo.org/404281"
- fi
-}
diff --git a/sys-libs/ldb/ldb-1.1.31.ebuild b/sys-libs/ldb/ldb-1.1.31.ebuild
deleted file mode 100644
index 70d0da5..0000000
--- a/sys-libs/ldb/ldb-1.1.31.ebuild
+++ /dev/null
@@ -1,105 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-PYTHON_REQ_USE="threads"
-
-inherit python-single-r1 waf-utils multilib-minimal eutils flag-o-matic
-
-DESCRIPTION="An LDAP-like embedded database"
-HOMEPAGE="https://ldb.samba.org/"
-SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0/${PV}"
-KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~x86"
-IUSE="doc +ldap +python"
-
-RDEPEND="dev-libs/libbsd[${MULTILIB_USEDEP}]
- dev-libs/popt[${MULTILIB_USEDEP}]
- >=dev-util/cmocka-1.1.1[${MULTILIB_USEDEP}]
- >=sys-libs/talloc-2.1.9[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tevent-0.9.31[python(+)?,${MULTILIB_USEDEP}]
- >=sys-libs/tdb-1.3.13[python?,${MULTILIB_USEDEP}]
- !!<net-fs/samba-3.6.0[ldb]
- !!>=net-fs/samba-4.0.0[ldb]
- python? ( ${PYTHON_DEPS} )
- ldap? ( net-nds/openldap )
- "
-
-DEPEND="dev-libs/libxslt
- doc? ( app-doc/doxygen )
- virtual/pkgconfig
- ${PYTHON_DEPS}
- ${RDEPEND}"
-
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-WAF_BINARY="${S}/buildtools/bin/waf"
-
-MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.1.31-optional_packages.patch
- "${FILESDIR}"/${PN}-1.1.31-talloc-disable-python.patch
- "${FILESDIR}"/${PN}-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
-)
-
-pkg_setup() {
- python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- local myconf=(
- $(usex ldap '' --disable-ldap) \
- --disable-rpath \
- --disable-rpath-install --bundled-libraries=NONE \
- --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba \
- --builtin-libraries=NONE
- )
- if ! multilib_is_native_abi; then
- myconf+=( --disable-python )
- else
- use python || myconf+=( --disable-python )
- fi
- waf-utils_src_configure "${myconf[@]}"
-}
-
-multilib_src_compile(){
- use elibc_musl && append-cflags "-D__NEED_pid_t"
- waf-utils_src_compile
- multilib_is_native_abi && use doc && doxygen Doxyfile
-}
-
-multilib_src_test() {
- if multilib_is_native_abi; then
- WAF_MAKE=1 \
- PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/ \
- LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared \
- waf test || die
- fi
-}
-
-multilib_src_install() {
- waf-utils_src_install
-
- if multilib_is_native_abi && use doc; then
- doman apidocs/man/man3/*.3
- docinto html
- dodoc -r apidocs/html/*
- fi
-}
-
-pkg_postinst() {
- if has_version sys-auth/sssd; then
- ewarn "You have sssd installed. It is known to break after ldb upgrades,"
- ewarn "so please try to rebuild it before reporting bugs."
- ewarn "See https://bugs.gentoo.org/404281"
- fi
-}
diff --git a/sys-libs/ldb/ldb-1.2.4.ebuild b/sys-libs/ldb/ldb-1.2.4.ebuild
deleted file mode 100644
index 2e54ed7..0000000
--- a/sys-libs/ldb/ldb-1.2.4.ebuild
+++ /dev/null
@@ -1,104 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-PYTHON_REQ_USE="threads"
-
-inherit python-single-r1 waf-utils multilib-minimal eutils flag-o-matic
-
-DESCRIPTION="An LDAP-like embedded database"
-HOMEPAGE="https://ldb.samba.org/"
-SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0/${PV}"
-KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~x86"
-IUSE="doc +ldap +python"
-
-RDEPEND="dev-libs/libbsd[${MULTILIB_USEDEP}]
- dev-libs/popt[${MULTILIB_USEDEP}]
- >=dev-util/cmocka-1.1.1[${MULTILIB_USEDEP}]
- >=sys-libs/talloc-2.1.10[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tevent-0.9.36[python(+)?,${MULTILIB_USEDEP}]
- >=sys-libs/tdb-1.3.15[python?,${MULTILIB_USEDEP}]
- python? ( ${PYTHON_DEPS} )
- ldap? ( net-nds/openldap )
-"
-
-DEPEND="dev-libs/libxslt
- doc? ( app-doc/doxygen )
- virtual/pkgconfig
- ${PYTHON_DEPS}
- ${RDEPEND}
-"
-
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-WAF_BINARY="${S}/buildtools/bin/waf"
-
-MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.1.31-optional_packages.patch
- "${FILESDIR}"/${PN}-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
- "${FILESDIR}"/${PN}-1.2.3-disable_python.patch
-)
-
-pkg_setup() {
- python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- local myconf=(
- $(usex ldap '' --disable-ldap)
- --disable-rpath
- --disable-rpath-install --bundled-libraries=NONE
- --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba
- --builtin-libraries=NONE
- )
- if ! multilib_is_native_abi; then
- myconf+=( --disable-python )
- else
- use python || myconf+=( --disable-python )
- fi
- waf-utils_src_configure "${myconf[@]}"
-}
-
-multilib_src_compile(){
- use elibc_musl && append-cflags "-D__NEED_pid_t"
- waf-utils_src_compile
- multilib_is_native_abi && use doc && doxygen Doxyfile
-}
-
-multilib_src_test() {
- if multilib_is_native_abi; then
- WAF_MAKE=1 \
- PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/ \
- LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared \
- waf test || die
- fi
-}
-
-multilib_src_install() {
- waf-utils_src_install
-
- if multilib_is_native_abi && use doc; then
- doman apidocs/man/man3/*.3
- docinto html
- dodoc -r apidocs/html/*
- fi
-}
-
-pkg_postinst() {
- if has_version sys-auth/sssd; then
- ewarn "You have sssd installed. It is known to break after ldb upgrades,"
- ewarn "so please try to rebuild it before reporting bugs."
- ewarn "See https://bugs.gentoo.org/404281"
- fi
-}
diff --git a/sys-libs/ldb/ldb-1.3.6.ebuild b/sys-libs/ldb/ldb-1.3.6.ebuild
deleted file mode 100644
index 3e35a22..0000000
--- a/sys-libs/ldb/ldb-1.3.6.ebuild
+++ /dev/null
@@ -1,104 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-PYTHON_REQ_USE="threads"
-
-inherit python-single-r1 waf-utils multilib-minimal eutils flag-o-matic
-
-DESCRIPTION="An LDAP-like embedded database"
-HOMEPAGE="https://ldb.samba.org"
-SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0/${PV}"
-KEYWORDS="amd64 ~arm ~arm64 ~mips ppc ppc64 x86"
-IUSE="doc +ldap +python"
-
-RDEPEND="
- dev-libs/libbsd[${MULTILIB_USEDEP}]
- dev-libs/popt[${MULTILIB_USEDEP}]
- >=dev-util/cmocka-1.1.1[${MULTILIB_USEDEP}]
- >=sys-libs/talloc-2.1.11[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tdb-1.3.15[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tevent-0.9.36[python(+)?,${MULTILIB_USEDEP}]
- ldap? ( net-nds/openldap )
- python? ( ${PYTHON_DEPS} )
-"
-
-DEPEND="dev-libs/libxslt
- doc? ( app-doc/doxygen )
- virtual/pkgconfig
- ${PYTHON_DEPS}
- ${RDEPEND}
-"
-
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-WAF_BINARY="${S}/buildtools/bin/waf"
-
-MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.1.31-optional_packages.patch
- "${FILESDIR}"/${PN}-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
-)
-
-pkg_setup() {
- python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- local myconf=(
- $(usex ldap '' --disable-ldap)
- --disable-rpath
- --disable-rpath-install --bundled-libraries=NONE
- --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba
- --builtin-libraries=NONE
- )
- if ! multilib_is_native_abi; then
- myconf+=( --disable-python )
- else
- use python || myconf+=( --disable-python )
- fi
- waf-utils_src_configure "${myconf[@]}"
-}
-
-multilib_src_compile(){
- use elibc_musl && append-cflags "-D__NEED_pid_t"
- waf-utils_src_compile
- multilib_is_native_abi && use doc && doxygen Doxyfile
-}
-
-multilib_src_test() {
- if multilib_is_native_abi; then
- WAF_MAKE=1 \
- PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/ \
- LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared \
- waf test || die
- fi
-}
-
-multilib_src_install() {
- waf-utils_src_install
-
- if multilib_is_native_abi && use doc; then
- doman apidocs/man/man3/*.3
- docinto html
- dodoc -r apidocs/html/*
- fi
-}
-
-pkg_postinst() {
- if has_version sys-auth/sssd; then
- ewarn "You have sssd installed. It is known to break after ldb upgrades,"
- ewarn "so please try to rebuild it before reporting bugs."
- ewarn "See https://bugs.gentoo.org/404281"
- fi
-}
diff --git a/sys-libs/ldb/ldb-1.3.8.ebuild b/sys-libs/ldb/ldb-1.3.8.ebuild
deleted file mode 100644
index 21eec41..0000000
--- a/sys-libs/ldb/ldb-1.3.8.ebuild
+++ /dev/null
@@ -1,104 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-PYTHON_REQ_USE="threads"
-
-inherit python-single-r1 waf-utils multilib-minimal eutils flag-o-matic
-
-DESCRIPTION="An LDAP-like embedded database"
-HOMEPAGE="https://ldb.samba.org"
-SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0/${PV}"
-KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 x86"
-IUSE="doc +ldap +python"
-
-RDEPEND="
- dev-libs/libbsd[${MULTILIB_USEDEP}]
- dev-libs/popt[${MULTILIB_USEDEP}]
- >=dev-util/cmocka-1.1.1[${MULTILIB_USEDEP}]
- >=sys-libs/talloc-2.1.11[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tdb-1.3.15[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tevent-0.9.36[python(+)?,${MULTILIB_USEDEP}]
- ldap? ( net-nds/openldap )
- python? ( ${PYTHON_DEPS} )
-"
-
-DEPEND="dev-libs/libxslt
- doc? ( app-doc/doxygen )
- virtual/pkgconfig
- ${PYTHON_DEPS}
- ${RDEPEND}
-"
-
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-WAF_BINARY="${S}/buildtools/bin/waf"
-
-MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.1.31-optional_packages.patch
- "${FILESDIR}"/${PN}-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
-)
-
-pkg_setup() {
- python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- local myconf=(
- $(usex ldap '' --disable-ldap)
- --disable-rpath
- --disable-rpath-install --bundled-libraries=NONE
- --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba
- --builtin-libraries=NONE
- )
- if ! multilib_is_native_abi; then
- myconf+=( --disable-python )
- else
- use python || myconf+=( --disable-python )
- fi
- waf-utils_src_configure "${myconf[@]}"
-}
-
-multilib_src_compile(){
- use elibc_musl && append-cflags "-D__NEED_pid_t"
- waf-utils_src_compile
- multilib_is_native_abi && use doc && doxygen Doxyfile
-}
-
-multilib_src_test() {
- if multilib_is_native_abi; then
- WAF_MAKE=1 \
- PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/ \
- LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared \
- waf test || die
- fi
-}
-
-multilib_src_install() {
- waf-utils_src_install
-
- if multilib_is_native_abi && use doc; then
- doman apidocs/man/man3/*.3
- docinto html
- dodoc -r apidocs/html/*
- fi
-}
-
-pkg_postinst() {
- if has_version sys-auth/sssd; then
- ewarn "You have sssd installed. It is known to break after ldb upgrades,"
- ewarn "so please try to rebuild it before reporting bugs."
- ewarn "See https://bugs.gentoo.org/404281"
- fi
-}
diff --git a/sys-libs/ldb/ldb-1.4.7.ebuild b/sys-libs/ldb/ldb-1.4.7.ebuild
deleted file mode 100644
index 49326d4..0000000
--- a/sys-libs/ldb/ldb-1.4.7.ebuild
+++ /dev/null
@@ -1,105 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-PYTHON_REQ_USE="threads"
-
-inherit python-single-r1 waf-utils multilib-minimal eutils
-
-DESCRIPTION="An LDAP-like embedded database"
-HOMEPAGE="https://ldb.samba.org"
-SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0/${PV}"
-KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~x86"
-IUSE="doc +ldap +lmdb +python"
-
-RDEPEND="
- dev-libs/libbsd[${MULTILIB_USEDEP}]
- dev-libs/popt[${MULTILIB_USEDEP}]
- >=dev-util/cmocka-1.1.1[${MULTILIB_USEDEP}]
- >=sys-libs/talloc-2.1.14[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tdb-1.3.16[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tevent-0.9.37[python(+)?,${MULTILIB_USEDEP}]
- ldap? ( net-nds/openldap )
- lmdb? ( >=dev-db/lmdb-0.9.16[${MULTILIB_USEDEP}] )
- python? ( ${PYTHON_DEPS} )
-"
-
-DEPEND="dev-libs/libxslt
- doc? ( app-doc/doxygen )
- virtual/pkgconfig
- ${PYTHON_DEPS}
- ${RDEPEND}
-"
-
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-WAF_BINARY="${S}/buildtools/bin/waf"
-
-MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.4.0-optional_packages.patch
- "${FILESDIR}"/${PN}-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
-)
-
-pkg_setup() {
- python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- local myconf=(
- $(usex ldap '' --disable-ldap)
- $(usex lmdb '' --without-ldb-lmdb)
- --disable-rpath
- --disable-rpath-install --bundled-libraries=NONE
- --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba
- --builtin-libraries=NONE
- )
- if ! multilib_is_native_abi; then
- myconf+=( --disable-python )
- else
- use python || myconf+=( --disable-python )
- fi
- CFLAGS="-D__NEED_pid_t" waf-utils_src_configure "${myconf[@]}"
-}
-
-multilib_src_compile() {
- waf-utils_src_compile
- multilib_is_native_abi && use doc && doxygen Doxyfile
-}
-
-multilib_src_test() {
- if multilib_is_native_abi; then
- WAF_MAKE=1 \
- PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/ \
- LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared \
- waf test || die
- fi
-}
-
-multilib_src_install() {
- waf-utils_src_install
-
- if multilib_is_native_abi && use doc; then
- doman apidocs/man/man3/*.3
- docinto html
- dodoc -r apidocs/html/*
- fi
-}
-
-pkg_postinst() {
- if has_version sys-auth/sssd; then
- ewarn "You have sssd installed. It is known to break after ldb upgrades,"
- ewarn "so please try to rebuild it before reporting bugs."
- ewarn "See https://bugs.gentoo.org/404281"
- fi
-}
diff --git a/sys-libs/ldb/ldb-1.5.5.ebuild b/sys-libs/ldb/ldb-1.5.5.ebuild
deleted file mode 100644
index b3d5f8d..0000000
--- a/sys-libs/ldb/ldb-1.5.5.ebuild
+++ /dev/null
@@ -1,107 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python3_{5,6,7} )
-PYTHON_REQ_USE="threads(+)"
-
-inherit python-single-r1 waf-utils multilib-minimal eutils flag-o-matic
-
-DESCRIPTION="An LDAP-like embedded database"
-HOMEPAGE="https://ldb.samba.org"
-SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0/${PV}"
-KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~x86"
-IUSE="doc +ldap +lmdb +python"
-
-RDEPEND="
- dev-libs/libbsd[${MULTILIB_USEDEP}]
- dev-libs/popt[${MULTILIB_USEDEP}]
- >=dev-util/cmocka-1.1.3[${MULTILIB_USEDEP}]
- >=sys-libs/talloc-2.1.16[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tdb-1.3.18[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tevent-0.9.39[python(+)?,${MULTILIB_USEDEP}]
-
- ldap? ( net-nds/openldap )
- lmdb? ( >=dev-db/lmdb-0.9.16[${MULTILIB_USEDEP}] )
- python? ( ${PYTHON_DEPS} )
-"
-
-DEPEND="dev-libs/libxslt
- doc? ( app-doc/doxygen )
- virtual/pkgconfig
- ${PYTHON_DEPS}
- ${RDEPEND}
-"
-
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-WAF_BINARY="${S}/buildtools/bin/waf"
-
-MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.5.2-optional_packages.patch
- "${FILESDIR}"/${PN}-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
-)
-
-pkg_setup() {
- python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- local myconf=(
- $(usex ldap '' --disable-ldap)
- $(usex lmdb '' --without-ldb-lmdb)
- --disable-rpath
- --disable-rpath-install --bundled-libraries=NONE
- --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba
- --builtin-libraries=NONE
- )
- if ! multilib_is_native_abi; then
- myconf+=( --disable-python )
- else
- use python || myconf+=( --disable-python )
- fi
- waf-utils_src_configure "${myconf[@]}"
-}
-
-multilib_src_compile(){
- use elibc_musl && append-cflags "-D__NEED_pid_t"
- waf-utils_src_compile
- multilib_is_native_abi && use doc && doxygen Doxyfile
-}
-
-multilib_src_test() {
- if multilib_is_native_abi; then
- WAF_MAKE=1 \
- PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/ \
- LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared \
- waf test || die
- fi
-}
-
-multilib_src_install() {
- waf-utils_src_install
-
- if multilib_is_native_abi && use doc; then
- doman apidocs/man/man3/*.3
- docinto html
- dodoc -r apidocs/html/*
- fi
-}
-
-pkg_postinst() {
- if has_version sys-auth/sssd; then
- ewarn "You have sssd installed. It is known to break after ldb upgrades,"
- ewarn "so please try to rebuild it before reporting bugs."
- ewarn "See https://bugs.gentoo.org/404281"
- fi
-}
diff --git a/sys-libs/ldb/ldb-2.0.8.ebuild b/sys-libs/ldb/ldb-2.0.8.ebuild
deleted file mode 100644
index 06ee854..0000000
--- a/sys-libs/ldb/ldb-2.0.8.ebuild
+++ /dev/null
@@ -1,110 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python3_{6,7,8} )
-PYTHON_REQ_USE="threads(+)"
-
-inherit python-single-r1 waf-utils multilib-minimal eutils
-
-DESCRIPTION="An LDAP-like embedded database"
-HOMEPAGE="https://ldb.samba.org"
-SRC_URI="https://www.samba.org/ftp/pub/${PN}/${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0/${PV}"
-KEYWORDS="amd64 arm ~arm64 ~mips ppc ppc64 x86"
-IUSE="doc +ldap +lmdb python test"
-
-RESTRICT="!test? ( test )"
-REQUIRED_USE="test? ( python )"
-
-RDEPEND="
- !elibc_FreeBSD? ( dev-libs/libbsd[${MULTILIB_USEDEP}] )
- dev-libs/popt[${MULTILIB_USEDEP}]
- >=dev-util/cmocka-1.1.3[${MULTILIB_USEDEP}]
- >=sys-libs/talloc-2.2.0[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tdb-1.4.2[python?,${MULTILIB_USEDEP}]
- >=sys-libs/tevent-0.10.0[python(+)?,${MULTILIB_USEDEP}]
- ldap? ( net-nds/openldap )
- lmdb? ( >=dev-db/lmdb-0.9.16[${MULTILIB_USEDEP}] )
- python? ( ${PYTHON_DEPS} )
-"
-
-DEPEND="dev-libs/libxslt
- doc? ( app-doc/doxygen )
- virtual/pkgconfig
- ${PYTHON_DEPS}
- ${RDEPEND}
-"
-
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-WAF_BINARY="${S}/buildtools/bin/waf"
-
-MULTILIB_WRAPPED_HEADERS=( /usr/include/pyldb.h )
-
-PATCHES=(
- "${FILESDIR}"/${PN}-1.5.2-optional_packages.patch
- "${FILESDIR}"/${PN}-1.1.31-fix_PKGCONFIGDIR-when-python-disabled.patch
- "${FILESDIR}"/${P}-include-fcntl.h-for-pid_t.patch
-)
-
-pkg_setup() {
- python-single-r1_pkg_setup
-}
-
-src_prepare() {
- default
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- local myconf=(
- $(usex ldap '' --disable-ldap)
- $(usex lmdb '' --without-ldb-lmdb)
- --disable-rpath
- --disable-rpath-install --bundled-libraries=NONE
- --with-modulesdir="${EPREFIX}"/usr/$(get_libdir)/samba
- --builtin-libraries=NONE
- )
- if ! multilib_is_native_abi; then
- myconf+=( --disable-python )
- else
- use python || myconf+=( --disable-python )
- fi
- waf-utils_src_configure "${myconf[@]}"
-}
-
-multilib_src_compile() {
- use elibc_musl && append-cflags "-D__NEED_pid_t"
- waf-utils_src_compile
- multilib_is_native_abi && use doc && doxygen Doxyfile
-}
-
-multilib_src_test() {
- if multilib_is_native_abi; then
- WAF_MAKE=1 \
- PATH=buildtools/bin:../../../buildtools/bin:$PATH:"${BUILD_DIR}"/bin/shared/private/ \
- LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${BUILD_DIR}"/bin/shared/private/:"${BUILD_DIR}"/bin/shared \
- waf test || die
- fi
-}
-
-multilib_src_install() {
- waf-utils_src_install
-
- if multilib_is_native_abi && use doc; then
- doman apidocs/man/man3/*.3
- docinto html
- dodoc -r apidocs/html/*
- fi
-}
-
-pkg_postinst() {
- if has_version sys-auth/sssd; then
- ewarn "You have sssd installed. It is known to break after ldb upgrades,"
- ewarn "so please try to rebuild it before reporting bugs."
- ewarn "See https://bugs.gentoo.org/404281"
- fi
-}
diff --git a/sys-libs/ldb/metadata.xml b/sys-libs/ldb/metadata.xml
deleted file mode 100644
index db4a710..0000000
--- a/sys-libs/ldb/metadata.xml
+++ /dev/null
@@ -1,14 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>samba@gentoo.org</email>
- <name>Samba</name>
- </maintainer>
- <use>
- <flag name="doc">Builds documentation</flag>
- <flag name="ldap">Enable LDAP support</flag>
- <flag name="lmdb">Enable LMDB backend</flag>
- <flag name="python">Enable Python support</flag>
- </use>
-</pkgmetadata>
diff --git a/sys-libs/ntdb/Manifest b/sys-libs/ntdb/Manifest
deleted file mode 100644
index 08e6670..0000000
--- a/sys-libs/ntdb/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST ntdb-1.0.tar.gz 794585 SHA256 817ae862b1e6976cab867468f209d8417a90c7c2fcf0ec079a45645d7e7ebf49 SHA512 27f550f85a7bfd105d4115b55f9919f1871964f576a8470688fe8040fb9e2be209246a291d78f55c61cf0920238d7f41917ad7e2d44b202382b3ea47c8c97100 WHIRLPOOL 71a007312eacf7805dadc0b0089f7344b270a628e9dc3c1d8aeb505efdeead3b66cb8006377550c672a15cbf814264cb16c93892f7319bc031b8fe669bf29747
diff --git a/sys-libs/ntdb/files/ntdb-1.0-drop-need-strtoq.patch b/sys-libs/ntdb/files/ntdb-1.0-drop-need-strtoq.patch
deleted file mode 100644
index 299a580..0000000
--- a/sys-libs/ntdb/files/ntdb-1.0-drop-need-strtoq.patch
+++ /dev/null
@@ -1,21 +0,0 @@
-diff -Naur ntdb-1.0-abi_x86_64.amd64/lib/replace/replace.c ntdb-1.0/lib/replace/replace.c
---- ntdb-1.0-abi_x86_64.amd64/lib/replace/replace.c 2013-10-27 04:21:21.000000000 -0400
-+++ ntdb-1.0/lib/replace/replace.c 2016-04-02 12:10:43.809446903 -0400
-@@ -527,7 +527,7 @@
- return nb;
- }
- #else
--#error "You need the strtoq function"
-+#warning "You need the strtoq function"
- #endif /* HAVE_STRTOQ */
- #endif /* HAVE_BSD_STRTOLL */
- #endif /* HAVE_STRTOLL */
-@@ -565,7 +565,7 @@
- return nb;
- }
- #else
--#error "You need the strtouq function"
-+#warning "You need the strtouq function"
- #endif /* HAVE_STRTOUQ */
- #endif /* HAVE_BSD_STRTOLL */
- #endif /* HAVE_STRTOULL */
diff --git a/sys-libs/ntdb/metadata.xml b/sys-libs/ntdb/metadata.xml
deleted file mode 100644
index f05d1f2..0000000
--- a/sys-libs/ntdb/metadata.xml
+++ /dev/null
@@ -1,12 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="person">
- <email>polynomial-c@gentoo.org</email>
- <name>Lars Wendler</name>
- </maintainer>
-<maintainer type="project">
- <email>samba@gentoo.org</email>
- <name>Samba</name>
- </maintainer>
-</pkgmetadata>
diff --git a/sys-libs/ntdb/ntdb-1.0-r1.ebuild b/sys-libs/ntdb/ntdb-1.0-r1.ebuild
deleted file mode 100644
index 1183e1f..0000000
--- a/sys-libs/ntdb/ntdb-1.0-r1.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-PYTHON_COMPAT=( python2_7 )
-PYTHON_REQ_USE="threads(+)"
-
-inherit waf-utils multilib-minimal python-single-r1
-
-DESCRIPTION="A not-so trivial keyword/data database system"
-HOMEPAGE="http://tdb.samba.org/"
-SRC_URI="http://samba.org/ftp/tdb/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ppc x86"
-IUSE="python"
-
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-RDEPEND="python? ( ${PYTHON_DEPS} )"
-DEPEND="!<net-fs/samba-4.1.7
- ${RDEPEND}
- ${PYTHON_DEPS}
- app-text/docbook-xml-dtd:4.2"
-
-WAF_BINARY="${S}/buildtools/bin/waf"
-
-src_prepare() {
- epatch "${FILESDIR}"/${P}-drop-need-strtoq.patch
- multilib_copy_sources
-}
-
-multilib_src_configure() {
- local extra_opts=()
- if ! multilib_is_native_abi || ! use python; then
- extra_opts+=( --disable-python )
- fi
-
- waf-utils_src_configure \
- "${extra_opts[@]}"
-}
-
-multilib_src_test() {
- # the default src_test runs 'make test' and 'make check', letting
- # the tests fail occasionally (reason: unknown)
- emake check
-}
-
-multilib_src_install() {
- waf-utils_src_install
-}